
/**
 * User App
 *
 * @class ProfileApp
 * @author Rynelle Coronacion <dev.rynelle@gmail.com>
 */

(function() {
  window.Cms.ProfileApp = $angularModule('ProfileApp', ['ui.router', 'ng-route-api', 'content-loader']);

}).call(this);


/**
 * User Profile App
 * User Profile Controller
 *
 * @class ProfileApp
 * @author Rynelle Coronacion <dev.rynelle@gmail.com>
 */

(function() {
  window.Cms.ProfileApp.controller("ProfileController", [
    '$scope', 'routeApi', '$timeout', '$window', function($scope, $routeapi, $timeout, $window) {
      var ProfileController;
      ProfileController = (function() {
        function ProfileController() {
          console.log('User Profile');
          $scope.loading = true;
          $scope.error = {};
          $scope.form = {};
          this.getinfo();
          return;
        }

        ProfileController.prototype.getinfo = function() {
          var data, url;
          url = $window.Routes.GetProfile;
          data = {
            _id: $window.Vars.Id
          };
          $routeapi.send(url, data, 'POST').then(function(response) {
            data = response.data;
            if (response.status === 200) {
              $scope.form = {
                _id: data.id,
                first_name: data.first_name,
                last_name: data.last_name,
                username: data.username,
                email: data.email
              };
            }
            $scope.loading = false;
          });
        };


        /**
         *
         * @return submit
         */

        $scope.submit = function() {
          var data, url;
          data = $scope.form;
          url = $window.Routes.UpdateProfile;
          $scope.onsubmit = true;
          $routeapi.send(url, data, 'POST').then(function(response) {
            var _data;
            _data = response.data;
            $scope.onsubmit = false;
            if (response.status === 200) {
              if (_data != null ? _data.errors : void 0) {
                $scope.error = _data.errors;
              } else {
                $scope.onsuccess = true;
              }
            }
          });
        };

        return ProfileController;

      })();
      return new ProfileController();
    }
  ]);

}).call(this);
