
/**
 * User App
 *
 * @class UserApp
 * @author Rynelle Coronacion <dev.rynelle@gmail.com>
 */

(function() {
  window.Cms.UserApp = $angularModule('UserApp', ['ui.router', 'ng-route-api', 'icheck']);

}).call(this);


/**
 * User App
 * Login Controller
 *
 * @class UserApp
 * @author Rynelle Coronacion <dev.rynelle@gmail.com>
 */

(function() {
  window.Cms.UserApp.controller("LoginController", [
    '$scope', 'routeApi', '$timeout', '$window', function($scope, $routeapi, $timeout, $window) {
      var LoginController;
      LoginController = (function() {
        function LoginController() {
          console.log('login');
          this.vars();
          $scope.removeAuthMsg();
          return;
        }

        LoginController.prototype.vars = function() {
          $scope.error = {
            status: false,
            message: null
          };
          $scope.user = {
            identity: '',
            password: '',
            rememberme: false
          };
        };


        /**
         *
         * @return authLogin
         */

        $scope.removeAuthMsg = function() {
          $scope.auth = {
            show: false,
            message: ''
          };
        };


        /**
         *
         * @return authLogin
         */

        $scope.authLogin = function() {
          var data, url;
          data = $scope.user;
          url = $window.Routes.AuthLogin;
          $scope.loading = true;
          $routeapi.send(url, data, 'POST').then(function(response) {
            var _data;
            _data = response.data;
            if (response.status === 200) {
              if ((_data != null ? _data.success : void 0) === false) {
                $scope.error.status = true;
                $scope.error.message = _data.error;
                $scope.loading = false;
              } else {
                $redirect($window.Routes.RedirectToCms);
              }
            }
          });
        };

        return LoginController;

      })();
      return new LoginController();
    }
  ]);

}).call(this);
