/*
 * Metachords CMS MySQL
 * 
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 *
 *********************************************************************
*/

DROP TABLE IF EXISTS `artists`;

CREATE TABLE `artists` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `slug` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` text COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `artists` */

/*Table structure for table `groups` */

DROP TABLE IF EXISTS `groups`;

CREATE TABLE `groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `permissions` text COLLATE utf8_unicode_ci,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `groups_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `groups` */

insert  into `groups`(`id`,`name`,`permissions`,`created_at`,`updated_at`) values (1,'administrator','{\"administrator.admin\":1}','2017-01-29 11:46:12','2017-01-29 11:46:12');

/*Table structure for table `migrations` */

DROP TABLE IF EXISTS `migrations`;

CREATE TABLE `migrations` (
  `migration` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `migrations` */

insert  into `migrations`(`migration`,`batch`) values ('2012_12_06_225921_migration_cartalyst_sentry_install_users',1),('2012_12_06_225929_migration_cartalyst_sentry_install_groups',1),('2012_12_06_225945_migration_cartalyst_sentry_install_users_groups_pivot',1),('2012_12_06_225988_migration_cartalyst_sentry_install_throttle',1),('2016_08_24_142001_alter_users_table_username_field',1),('2016_08_24_142028_create_settings_table',1),('2016_09_09_074158_create_types_table',1),('2016_12_30_044028_create_artists_table',1),('2016_12_31_032908_create_songs_table',1);

/*Table structure for table `settings` */

DROP TABLE IF EXISTS `settings`;

CREATE TABLE `settings` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `label` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `value` text COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `settings` */

insert  into `settings`(`id`,`type`,`code`,`label`,`value`,`created_at`,`updated_at`) values (1,'general','name','Site Name','Metachords - CMS','0000-00-00 00:00:00','0000-00-00 00:00:00'),(2,'general','shortname','Site Short Name','Metachords','0000-00-00 00:00:00','0000-00-00 00:00:00'),(3,'general','icon','Site Icon','http://imgholdr.com/32x32/transparent/ffb400/fa-music','0000-00-00 00:00:00','0000-00-00 00:00:00'),(4,'general','logo','Site Logo','http://imgholdr.com/60x60/transparent/ffb400/fa-music','0000-00-00 00:00:00','0000-00-00 00:00:00'),(5,'general','keywords','Site Keywords','Metachords, chords, tabs, bass, guitar','0000-00-00 00:00:00','0000-00-00 00:00:00'),(6,'general','description','Site Description','Metachords is the search engine for guitar chords & tabs, bass tabs and other instruments.\nWe have over a thousand and thousand chords and tabs to learn.\nLets play and learn...','0000-00-00 00:00:00','0000-00-00 00:00:00'),(7,'general','banner','Site Banner','http://imgholdr.com/700x460/transparent/ffb400?text=Metachords','0000-00-00 00:00:00','0000-00-00 00:00:00'),(8,'general','banner_width','Site Banner Size (Width)','700','0000-00-00 00:00:00','0000-00-00 00:00:00'),(9,'general','banner_height','Site Banner Size (Height)','460','0000-00-00 00:00:00','0000-00-00 00:00:00'),(10,'general','author','Site Author','Rynelle Coronacion','0000-00-00 00:00:00','0000-00-00 00:00:00'),(11,'general','author_email','Author Email','dev.rynelle@gmail.com','0000-00-00 00:00:00','0000-00-00 00:00:00'),(12,'general','published_time','Site Publish Date/Time','2017-01-29 11:46:13','0000-00-00 00:00:00','0000-00-00 00:00:00'),(13,'comment','comment_default','Set Default Comment Plugins [disqus or facebook]','disqus','0000-00-00 00:00:00','0000-00-00 00:00:00'),(14,'comment','comment_disqus','Disqus Script Code','<div id=\"disqus_thread\"></div>\r\n<script>\r\n\r\n/**\r\n*  RECOMMENDED CONFIGURATION VARIABLES: EDIT AND UNCOMMENT THE SECTION BELOW TO INSERT DYNAMIC VALUES FROM YOUR PLATFORM OR CMS.\r\n*  LEARN WHY DEFINING THESE VARIABLES IS IMPORTANT: https://disqus.com/admin/universalcode/#configuration-variables*/\r\n/*\r\nvar disqus_config = function () {\r\nthis.page.url = PAGE_URL;  // Replace PAGE_URL with your page\'s canonical URL variable\r\nthis.page.identifier = PAGE_IDENTIFIER; // Replace PAGE_IDENTIFIER with your page\'s unique identifier variable\r\n};\r\n*/\r\n(function() { // DON\'T EDIT BELOW THIS LINE\r\nvar d = document, s = d.createElement(\'script\');\r\ns.src = \'//rynelle-com-1.disqus.com/embed.js\';\r\ns.setAttribute(\'data-timestamp\', +new Date());\r\n(d.head || d.body).appendChild(s);\r\n})();\r\n</script>\r\n<noscript>Please enable JavaScript to view the <a href=\"https://disqus.com/?ref_noscript\">comments powered by Disqus.</a></noscript>','0000-00-00 00:00:00','0000-00-00 00:00:00'),(15,'comment','comment_facebook_appid','Facebook Application ID','1759813094348401','0000-00-00 00:00:00','0000-00-00 00:00:00'),(16,'comment','comment_facebook','Facebook Script Code','<div id=\"fb-root\"></div>\r\n<script>(function(d, s, id) {\r\n  var js, fjs = d.getElementsByTagName(s)[0];\r\n  if (d.getElementById(id)) return;\r\n  js = d.createElement(s); js.id = id;\r\n  js.src = \"//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.8&appId=FACEBOOK_APPID\";\r\n  fjs.parentNode.insertBefore(js, fjs);\r\n}(document, \'script\', \'facebook-jssdk\'));</script>\r\n<div class=\"fb-comments\" data-href=\"FACEBOOK_URL\" data-width=\"100%\" data-numposts=\"20\"></div>','0000-00-00 00:00:00','0000-00-00 00:00:00'),(17,'analytics','google_analytics_track_id','Google Analytics Tracking ID','UA-83155633-4','0000-00-00 00:00:00','0000-00-00 00:00:00'),(18,'analytics','google_analytics','Google Analytics Code','<script>\r\n  (function(i,s,o,g,r,a,m){i[\'GoogleAnalyticsObject\']=r;i[r]=i[r]||function(){\r\n  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),\r\n  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)\r\n  })(window,document,\'script\',\'https://www.google-analytics.com/analytics.js\',\'ga\');\r\n\r\n  ga(\'create\', \'GOOGLE_TRACK_ID\', \'auto\');\r\n  ga(\'send\', \'pageview\');\r\n\r\n</script>','0000-00-00 00:00:00','0000-00-00 00:00:00'),(19,'social','social_facebook','Facebook','','0000-00-00 00:00:00','0000-00-00 00:00:00'),(20,'social','social_twitter','Twitter','','0000-00-00 00:00:00','0000-00-00 00:00:00'),(21,'social','social_google','Google','','0000-00-00 00:00:00','0000-00-00 00:00:00'),(22,'social','social_instagram','Instagram','','0000-00-00 00:00:00','0000-00-00 00:00:00'),(23,'social','social_linkedin','Linkedin','','0000-00-00 00:00:00','0000-00-00 00:00:00'),(24,'social','social_tumblr','Tumblr','','0000-00-00 00:00:00','0000-00-00 00:00:00'),(25,'social','social_bitbucket','Bitbucket','','0000-00-00 00:00:00','0000-00-00 00:00:00'),(26,'social','social_dropbox','Dropbox','','0000-00-00 00:00:00','0000-00-00 00:00:00'),(27,'social','social_flickr','Flickr','','0000-00-00 00:00:00','0000-00-00 00:00:00'),(28,'social','social_foursquare','Foursquare','','0000-00-00 00:00:00','0000-00-00 00:00:00'),(29,'social','social_github','Github','','0000-00-00 00:00:00','0000-00-00 00:00:00');

/*Table structure for table `songs` */

DROP TABLE IF EXISTS `songs`;

CREATE TABLE `songs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `artist_id` int(10) unsigned NOT NULL,
  `type_id` int(10) unsigned NOT NULL,
  `title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `slug` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `version` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `difficulty` int(11) NOT NULL,
  `capo` int(11) NOT NULL DEFAULT '0',
  `chords` longtext COLLATE utf8_unicode_ci NOT NULL,
  `video` text COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `songs_artist_id_foreign` (`artist_id`),
  KEY `songs_type_id_foreign` (`type_id`),
  CONSTRAINT `songs_artist_id_foreign` FOREIGN KEY (`artist_id`) REFERENCES `artists` (`id`),
  CONSTRAINT `songs_type_id_foreign` FOREIGN KEY (`type_id`) REFERENCES `types` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `songs` */

/*Table structure for table `throttle` */

DROP TABLE IF EXISTS `throttle`;

CREATE TABLE `throttle` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned DEFAULT NULL,
  `ip_address` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `attempts` int(11) NOT NULL DEFAULT '0',
  `suspended` tinyint(1) NOT NULL DEFAULT '0',
  `banned` tinyint(1) NOT NULL DEFAULT '0',
  `last_attempt_at` timestamp NULL DEFAULT NULL,
  `suspended_at` timestamp NULL DEFAULT NULL,
  `banned_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `throttle_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `throttle` */

insert  into `throttle`(`id`,`user_id`,`ip_address`,`attempts`,`suspended`,`banned`,`last_attempt_at`,`suspended_at`,`banned_at`) values (1,1,'127.0.0.1',0,0,0,NULL,NULL,NULL);

/*Table structure for table `types` */

DROP TABLE IF EXISTS `types`;

CREATE TABLE `types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `slug` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `types` */

insert  into `types`(`id`,`name`,`slug`,`created_at`,`updated_at`,`deleted_at`) values (1,'Chords','chords','2017-01-29 11:46:14','2017-01-29 11:46:14',NULL),(2,'Tabs','tabs','2017-01-29 11:46:14','2017-01-29 11:46:14',NULL),(3,'Ukelele','ukelele','2017-01-29 11:46:15','2017-01-29 11:46:15',NULL),(4,'Drum','drum','2017-01-29 11:46:15','2017-01-29 11:46:15',NULL),(5,'Bass','bass','2017-01-29 11:46:15','2017-01-29 11:46:15',NULL);

/*Table structure for table `users` */

DROP TABLE IF EXISTS `users`;

CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `permissions` text COLLATE utf8_unicode_ci,
  `activated` tinyint(1) NOT NULL DEFAULT '0',
  `activation_code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `activated_at` timestamp NULL DEFAULT NULL,
  `last_login` timestamp NULL DEFAULT NULL,
  `persist_code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `reset_password_code` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `first_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `last_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `updated_at` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`),
  KEY `users_activation_code_index` (`activation_code`),
  KEY `users_reset_password_code_index` (`reset_password_code`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `users` */

insert  into `users`(`id`,`email`,`username`,`password`,`permissions`,`activated`,`activation_code`,`activated_at`,`last_login`,`persist_code`,`reset_password_code`,`first_name`,`last_name`,`created_at`,`updated_at`) values (1,'demo@email.com','demo','$2y$10$3PsbBnfm1iyokUU9S6R4M.CfjQBKdYeZd9FqcMeX8ZBW5tabgkpU2',NULL,1,'kCQ7P8XgqS1OWMyPYuWJJ0XRXDJGHqfy',NULL,'2017-01-29 11:48:21','$2y$10$/bgiQHlAW3GlZFke91obtuDIlAQMMF6rvLBvdNAKEmGVITi.YWjNm',NULL,'Demo','Demo','2017-01-29 11:46:12','2017-01-29 11:48:21');

/*Table structure for table `users_groups` */

DROP TABLE IF EXISTS `users_groups`;

CREATE TABLE `users_groups` (
  `user_id` int(10) unsigned NOT NULL,
  `group_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `users_groups` */

insert  into `users_groups`(`user_id`,`group_id`) values (1,1);


/*
 * Version 1.1.0
 * Date: Feb 18, 2017
 */
ALTER TABLE `artists` ADD COLUMN `avatar` TEXT NULL AFTER `description`;