
/**
 * Chord App
 *
 * @class ChordApp
 * @author Rynelle Coronacion <dev.rynelle@gmail.com>
 */

(function() {
  window.Front.ChordApp = $angularModule('ChordApp', ['ui.router', 'ng-route-api']);

}).call(this);


/**
 * Chord Transpose
 * @class Directive
 */

(function() {
  window.Front.ChordApp.directive("chordTranspose", [
    function() {
      return {
        restrict: "A",
        template: "<pre ng-transclude style=\"font-size: {{ fontsize }}px;\"></pre>",
        transclude: true,
        replace: true,
        link: function($scope, $element, $attrs) {
          $scope.$on('chord:transpose', function(evt, data) {
            return $element.html(data);
          });
        }
      };
    }
  ]);

}).call(this);


/**
 * ChordApp
 * Chord Controller
 *
 * @class UserApp
 * @author Rynelle Coronacion <dev.rynelle@gmail.com>
 */

(function() {
  window.Front.ChordApp.controller("ChordController", [
    '$scope', 'routeApi', '$window', '$q', '$timeout', function($scope, $routeapi, $window, $q, $timeout) {
      var ChordController;
      ChordController = (function() {
        function ChordController() {
          $scope.btnfontsize = {
            plus: false,
            minus: false
          };
          $scope.transposerequest = {
            up: false,
            down: false
          };
          $scope.containermode = false;
          $scope.fontsize = 13;
          $scope.url = $window.Vars.CurrentURL;
          $scope.transpose = $window.Vars.Transpose;
          return;
        }

        $scope.changeMode = function() {
          return $scope.containermode = !$scope.containermode;
        };

        $scope.resizeFont = function(action) {
          if (action === true) {
            $scope.fontsize++;
          } else {
            $scope.fontsize--;
          }
          $scope.btnfontsize.minus = $scope.fontsize <= 8;
          $scope.btnfontsize.plus = $scope.fontsize >= 32;
        };

        $scope.transposeAction = function(action) {
          var url;
          if (action === true) {
            $scope.transpose++;
            $scope.transposerequest.up = true;
          } else {
            $scope.transpose--;
            $scope.transposerequest.down = true;
          }
          url = $scope.url;
          url += '/true?transpose=' + $scope.transpose;
          $routeapi.send(url).then(function(response) {
            $scope.transposerequest = {
              up: false,
              down: false
            };
            if (response.status === 200) {
              return $scope.$emit('chord:transpose', response.data);
            }
          })["catch"](function(reason) {
            $scope.transposerequest = {
              up: false,
              down: false
            };
            if (action === true) {
              return $scope.transpose--;
            } else {
              return $scope.transpose++;
            }
          });
        };

        return ChordController;

      })();
      return new ChordController();
    }
  ]);

}).call(this);
