@extends('theme::layouts.master')

@section('meta')
    <meta name="keywords" content="{{ $song->title }}">
    <meta name="author" content="{{ $artist->name }}">
    <meta property="og:type" content="article" />
    <meta property="og:title" content="{{ $song->title }}" />
    <meta property="og:url" content="{{ current_url() }}" />
    <meta property="article:author" content="{{ $artist->name }}" />
    <meta property="article:published_time" content="{{ $song->created_at }}" />
    <meta property="og:site_name" content="{{ $song->title }}" />
    <meta property="og:locale" content="en_US" />
    <meta name="twitter:site" content="{{ $song->title }}" />
    <meta name="twitter:creator" content="{{ $artist->name }}" />
@stop

@section('content')

	@include($partial_path . 'search', [ 'route' => ROUTE_FRONT_CHORDS_INDEX, 'label' => 'chords', 'ishome' => false ])

	<div class="container-content">
		
		<div class="row">
			<div class="col-md-8 col-lg-8">

				<div class="page-title">
					<div class="title">{{ $song->title }}</div>
					<div class="artist">by <a href="{{ route(ROUTE_FRONT_CHORDS_ARTIST_SONG, $artist->slug) }}"> {{ $artist->name }}</a></div>
					<div class="labeled">
						Difficulty: <span>{{ $song->difficulty_name }}</span> /
						Version: <span>{{ $song->version }}</span>
					</div>
				</div>

				<!-- Your Ad Here -->
				@include($partial_path . 'ad-728x90')

				@include($view_path . 'partials.details-content')

				<!-- Your Ad Here -->
				@include($partial_path . 'ad-728x90')

				@include($partial_path . 'comment-plugin')

			</div>
			<div class="col-md-4 col-lg-4">
				@include($view_path . 'partials.details-side')

				@include($partial_path . 'ad-336x280')
				
			</div>
		</div>

	</div>
    

@endsection

@section('js')
    <script type="text/javascript">
    	window.Vars = {
    		CurrentURL : "{{ current_url() }}",
    		Transpose  : {{ $transpose }}
    	}
    </script>
    <script type="text/javascript" src="{{ theme_asset('js/ng-chords.js') }}"></script>
@stop