<!DOCTYPE html>

<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>{{ @$pagetitle ?: $settigs_general['name'] }}</title>

    @section('meta')
        <meta name="description" content="{{ $settigs_general['description'] }}" />
        <meta name="keywords" content="{{ $settigs_general['keywords'] }}">
        <meta name="author" content="{{ $settigs_general['author'] }}">
        <meta property="og:type" content="article" />
        <meta property="og:title" content="{{ $settigs_general['name'] }}" />
        <meta property="og:url" content="{{ url('/') }}" />
        <meta property="og:description" content="{{ $settigs_general['description'] }}" />
        <meta property="article:author" content="{{ $settigs_general['author'] }}" />
        <meta property="article:published_time" content="{{ $settigs_general['published_time'] }}" />
        <meta property="og:site_name" content="{{ $settigs_general['name'] }}" />
        <meta property="og:image" content="{{ $settigs_general['banner'] }}" />
        <meta property="og:image:width" content="{{ $settigs_general['banner_width'] }}" />
        <meta property="og:image:height" content="{{ $settigs_general['banner_height'] }}" />
        <meta property="og:locale" content="en_US" />
        <meta name="twitter:site" content="{{ $settigs_general['name'] }}" />
        <meta name="twitter:image" content="{{ $settigs_general['banner'] }}" />
        <meta name="twitter:creator" content="{{ $settigs_general['author'] }}" />
    @show

    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

    <!-- Icon Logo -->
    <link rel="shortcut icon" href="{{ $settigs_general['icon'] }}">
    
    <!-- Bootstrap 3.3.6 -->
    <link rel="stylesheet" href="{{ theme_asset('css/bootstrap.min.css') }}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{ theme_asset('css/font-awesome.min.css') }}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{ theme_asset('css/AdminLTE.css') }}">
    <!-- AdminLTE Skins -->
    <link rel="stylesheet" href="{{ theme_asset('css/skin-blue-light.css') }}">
    <!-- Common Style -->
    <link rel="stylesheet" href="{{ theme_asset('css/app.css') }}">

    <!--Custom Stylesheet -->
    @yield('css')

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body class="hold-transition skin-blue-light layout-top-nav">

    <div class="wrapper">

        @include('partials.header')

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">

            <div class="container">

                <!-- Your Page Content Here -->
                @yield('content')

            </div>
            <!-- /.container -->
        </div>
        <!-- /.content-wrapper -->

        @include('partials.footer')

<!-- Add the sidebar's background. This div must be placed
    immediately after the control sidebar -->
    <div class="control-sidebar-bg"></div>

</div>
<!-- ./wrapper -->

<!-- REQUIRED JS SCRIPTS -->

<!-- jQuery 2.2.3 -->
<script src="{{ theme_asset('js/jquery-2.2.3.min.js') }}"></script>
<!-- Bootstrap 3.3.6 -->
<script src="{{ theme_asset('js/bootstrap.min.js') }}"></script>
<!-- SlimScroll -->
<script src="{{ theme_asset('js/jquery.slimscroll.min.js') }}"></script>
<!-- FastClick -->
<script src="{{ theme_asset('js/fastclick.js') }}"></script>
<!-- AdminLTE App -->
<script src="{{ theme_asset('js/app.js') }}"></script>

<!-- Angular JS -->
<script src="{{ theme_asset('js/ng-vendor/angular.js') }}"></script>
<!-- Angular Sanitize -->
<script src="{{ theme_asset('js/ng-vendor/angular-sanitize.js') }}"></script>
<!-- Angular Router -->
<script src="{{ theme_asset('js/ng-vendor/angular-ui-router.js') }}"></script>
<!-- Angular Bootstrap -->
<script src="{{ theme_asset('js/ng-vendor/ui-bootstrap-tpls-0.12.0.min.js') }}"></script>
<!-- Angular Common Helpers -->
<script src="{{ theme_asset('js/ng-vendor/helpers.js') }}"></script>
<!-- Angular Initializer -->
<script src="{{ theme_asset('js/ng-vendor/init.js') }}"></script>

<!-- CSRF TOKEN -->
<script>window.csrf = '{{ csrf_token() }}'</script>
<!-- Angular Common JS -->
<script src="{{ theme_asset('js/ng-common.js') }}"></script>

<!--Custom JSScript -->
@yield('js')

{{ googleAnalytics() }}

</body>
</html>