@extends('theme::layouts.master')

@section('content')

    <div class="container-title">Get in Touch</div>

    <section class="content container-content" ng-app="ContactApp" ng-controller="ContactController">

        <div class="row">
            <div class="col-sm-7 col-md-8 ">

                <h1 class="mar-top mar-0">Contact Us </h1>
                <div>If you have any suggestions, comments and/or any concern regarding <strong>{{ $settigs_general['name'] }}</strong>.</div>
                <div>Please feel free to contact me using the form below.</div>

                <div class="box mar-top">
                    <div class="box-body">
                        <div ng-show="thankyouprompt" ng-cloak>
                            <div class="info-box bg-aqua" style="min-height: 64px;">
                                <span class="info-box-icon" style="line-height: 64px; height: 64px;"><i class="fa fa-send-o"></i></span>
                                <div class="info-box-content">
                                    <span class="info-box-text">Thank you for contacting us!</span>
                                    <div class="progress">
                                        <div class="progress-bar"></div>
                                    </div>
                                    <span class="progress-description">
                                        Your email has been successfully submitted and we will get in touch with you shortly.
                                    </span>
                                </div>
                                <!-- /.info-box-content -->
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Your Name<span class="text-danger">*</span></label>
                            <div class="input-group">
                                <input type="text" class="form-control" placeholder="Your Name" ng-model="form.name">
                                <span class="input-group-addon"><i class="fa fa-user"></i></span>
                            </div>
                            <small class="text-danger" ng-show="validate.name" ng-cloak>@{{ validate.name }}</small>
                        </div>
                        <div class="form-group">
                            <label>Your E-mail<span class="text-danger">*</span></label>
                            <div class="input-group">
                                <input type="text" class="form-control" placeholder="Your E-mail" ng-model="form.email">
                                <span class="input-group-addon">@</span>
                            </div>
                            <small class="text-danger" ng-show="validate.email" ng-cloak>@{{ validate.email }}</small>
                        </div>
                        <div class="form-group">
                            <label>Your Message<span class="text-danger">*</span></label>
                            <textarea rows="5" class="form-control" ng-model="form.message" placeholder="Your Message"></textarea>
                            <small class="text-danger" ng-show="validate.message" ng-cloak>@{{ validate.message }}</small>
                        </div>
                        <div class="form-group text-right">
                            <button class="btn btn-success btn-flat"
                                    ng-click="send()"
                                    ng-disabled="form.name.length == 0 || form.email.length == 0 || form.message.length == 0 || sendloading">
                                    <i class="fa fa-spinner fa-spin" ng-show="sendloading"></i>
                                    <i class="fa fa-send" ng-show="!sendloading"></i>
                                    Submit</button>
                        </div>
                    </div>

                </div>
            </div>
            <div class="col-sm-5 col-md-4">
                
                @include($partial_path . 'side-social')

                @include($partial_path . 'ad-336x280')

            </div>
        </div>
        
    </section>

@endsection

@section('js')
    <script type="text/javascript">
        window.Routes = {
            Send : "{{ route(ROUTE_FRONT_CONTACT_SEND) }}",
        }
    </script>
    <script type="text/javascript" src="{{ theme_asset('js/ng-contact.js') }}"></script>
@stop