/**
 | Example
 | *watch ko lng un askdesign na json from gulpjson na folder
 | - watch=askdesign gulp watch
 |
 | tapos pwd rin pong iwatch sa loob nun .json un specific na file 
 | para hndi lhat ng .coffee or .less na na under ng .json na file is hndi mawatch
 | - watch=askdesign/askdesign.js  gulp watch
 |
 | - gulp watch
 |
 |
 */


/**
 | Required
 | - npm install
 */

var elixir  = require('laravel-elixir');
var clear   = require('laravel-elixir-clear');
var fs      = require('fs');
var gulp    = require('gulp');
var del     = require('del');
var Hashids = require("hashids"),
    hashids = new Hashids("this is my salt", 12);

process.env.DISABLE_NOTIFIER = true;

// var livereload = require('gulp-livereload');
//--------------------------------------------------------------------------

/**
 | All Files that need to compile
 | @var array
 */
var jsonFiles = []

/**
 | All the Files that need to copy in public folder from vendor Page
 | @var array
 */
var copyFiles = []

/**
 | Path Directory
 | @var array
 */
var path = {
        metachords : './metachords-cms',
        gulpjson   : './metachords-cms/gulpjson',
        vendor     : './metachords-cms/resources/assets/vendor',
        themes     : './metachords-cms/resources/theme-assets',
    }

elixir.config.assetsPath = './metachords-cms/resources/assets';


/**
 | JSON File Extension
 */
var jsonFormat = '.json'
    
// ------------------------------------------------------------------------------------------

/**
 | Get all files in GulpJSON Directory
 | @var string
 */
var gulpjson       = fs.readdirSync(path.gulpjson);
var gulpjsonlength = gulpjson.length

/**
 | File Specify
 | null = all
 */
var filecssjs = null;

/**
 | Concat Hash Id in JSON File
 */
var hashjson = null;

process_env_watch = process.env.WATCH || process.env.watch || process.env.DEV || process.env.dev

if ( process_env_watch && process_env_watch != 'all' ) {

    if ( process_env_watch.indexOf('/') >= 0 ) {
        splitenv = process_env_watch.split('/')
        process_env_watch = splitenv[0]
        filecssjs         = splitenv[1].split(',')
    }

    _gulpjsonfile = process_env_watch.replace(jsonFormat, '')
    gulpjsonfile  = _gulpjsonfile + jsonFormat

    if ( gulpjson.indexOf(gulpjsonfile) < 0 ) {
        console.log("> File Not Found");
        process.exit();
    }
    gulpjson = []
    gulpjson.push(gulpjsonfile)

}

/**
 | Segregate all the files base from each json file
 | The filename of file is the base directory of the file
 | except the vendor.json and copy.json
 | @for object
 */
for ( var i = 0; i < gulpjson.length; i++ ) {

    if(gulpjson[i] == '.DS_Store')
        continue;

    var files     = require(path.gulpjson + '/' + gulpjson[i]);
    var main_path = gulpjson[i].substring(0, gulpjson[i].length-5);

    for ( var f = 0; f < files.length; f++ ) {

        var file = files[f]

        if ( file.source && file.destination ) {

            file.path = main_path

            copyFiles.push(file)

        }
        else {
            
            var isValidFile = true

            if ( filecssjs instanceof Array ) {
                filenameof  = file.filename.split('/').pop()
                isValidFile = filecssjs.indexOf(filenameof) >= 0
            }

            if ( isValidFile === true && file.filename) {

                if ( !file.filename ){
                    console.log('> Filename required!');
                    process.exit();
                }

                var filetype = file.files[0].split('.').pop()
                file.type    = filetype
                filename     = file.filename

                file.compileTo = main_path + '/' + filetype + '/' + filename

                if ( filetype === 'less' )
                    file.compileTo = file.compileTo.replace('less/', 'css/')
                else if ( filetype === 'coffee' )
                    file.compileTo = file.compileTo.replace('coffee/', 'js/')

                jsonFiles.push(file)

            }
        }

    }

}

// // ------------------------------------------------------------------------------------------

// /**
//  | Remove all the sourcemaps
//  | @var boolean
//  */
elixir.config.sourcemaps = false;

// // ------------------------------------------------------------------------------------------


// // ------------------------------------------------------------------------------------------

// *
//  | Compiling process
//  | @compile

elixir(function(mix) {

    for ( var i = 0; i < jsonFiles.length; i++ ) {
        var jsonfile = jsonFiles[i]

        switch (jsonfile.type) {
            case 'less' :
                mix.less( jsonfile.files, jsonfile.compileTo )
                break
            case 'coffee' :
                mix.coffee( jsonfile.files, jsonfile.compileTo )
                break
            case 'css' :
                mix.styles( jsonfile.files, jsonfile.compileTo, jsonfile.path )
                break
            case 'js' :
                mix.scripts( jsonfile.files, jsonfile.compileTo, jsonfile.path )
                break
        }

    }

})

// // ------------------------------------------------------------------------------------------

// /**
//  | Copy Files
//  | @compile
//  */
elixir(function(mix) {

    for ( var i = 0; i < copyFiles.length; i++ ) {
        var copyfile    = copyFiles[i]
        var filePath    = path.themes + '/' + copyfile.path

        if ( copyfile.path == 'cms' )
            filePath = path.vendor

        var destination = copyfile.path + '/' + copyfile.destination
        if ( copyfile.destination == '*' )
            destination = copyfile.path

        mix.copy( filePath + '/' + copyfile.source, destination)
    };
});

// // ------------------------------------------------------------------------------------------