<?php

	$environment = include(__DIR__.'/.env.php');
	$vars 		 = [];
	$errors 	 = [];
	if ( $environment ) {
		foreach ($environment as $key => $value) {
			$value = trim($value);
			if ( $value )
				$vars[$key] = $value;

		}
	}

	$connect = mysqli_connect($vars['DB_HOST'], $vars['DB_USERNAME'], $vars['DB_PASSWORD'], $vars['DB_DATABASE']) or die();

?>
<!DOCTYPE html>
<html>
<head>
	<title>Metachords CMS Installation</title>
	<style type="text/css">
		body { 
			background-color: #f3f3f3;
		}
		table { 
			width:100%;
			font-family: arial;
			background-color: #fff;

		}
		tr:nth-child(even) { 
			background:#f0f0f0;
		}
		th,td { 
			width:300px;
			padding:0 10px;
			line-height:3em;
			text-align:center;
		}
		th,td span{ 
			font-size: 26px;
			line-height: 0;
		}
		th { 
			height: 50px;
		}
		td:first-child { 
			background:rgba(200,200,200,.15);
			text-align:left;
		}
		.divtable {
			width: 500px;
			margin: auto;
		    margin-top: 5%;
		    border: 1px solid #eee;
		}
		.copyright {
			text-align: center;
    		margin-top: 20px;
		}
		button {
			width: 100%;
    		line-height: 30px;
		}
	</style>
</head>
<body>
<div class='divtable'>
<?php if ( @$_GET['install'] ) { ?>
	<div style="font-size: 20px;text-align: center;margin: 22px;color: #060;">
		Database successfully install/overwrite.
	</div>
<?php } ?>

<table>
	<tr>
		<th>DB Table</th>
		<th>Is Exists</th>
	</tr>
		<?php
			if ( $vars && $connect ) {
				
				$tables  	  = ['artists', 'groups', 'migrations', 'settings', 'songs', 'throttle', 'types', 'users', 'users_groups'];
				$table_exists = 0;
				foreach ($tables as $table) {

					$show_table = mysqli_query($connect, "SELECT 1 FROM {$table}");
					echo "<tr><td height='20'><strong>{$table}</strong></td><td>";
					if ( $show_table ) {
					    echo "<span>&#9745;</span>";
					    $table_exists++;
					}
					else
					    echo "<span>&#9744;</span>";
					echo "</td></tr>";
				}

			}
			else {
				die('Config Error: Having problem in <strong>.env.php</strong> configuration. Please follow the documentation properly.' . mysql_error());
			}
		?>
	<tr>
		<td colspan="2">
			<form method="POST" action="<?php echo rtrim($vars['APP_URL'], '/') ?>/install.php">
				<?php if ( $table_exists > 0 ) { ?>
					<div style="color:#f00; text-align: center;">Table already exists. Do you want to overwrite it?</div>
				<?php } ?>
				<input type="hidden" name="install" value="1">
				<button>Install/Overwrite DB</button>
			</form>
		</td>
	</tr>
	</table>
	<div class="copyright">
	    Copyright &copy; 2017 <a href="http://www.metachords.com">Metachords CMS</a>. All Rights Reserved.
	</div>
</div>

</body>
</html>

<?php 

	if ( @$_POST['install'] && $connect ) {

		mysqli_query($connect, 'SET foreign_key_checks = 0');
		$sql      = __DIR__ . DIRECTORY_SEPARATOR . 'database/metachords.sql';
		$lines    = file($sql);
		$templine = '';

		foreach ($lines as $line) {
			// Skip it if it's a comment
			if (substr($line, 0, 2) == '--' || $line == '')
			    continue;

			// Add this line to the current segment
			$templine .= $line;

			if (substr(trim($line), -1, 1) == ';') {
			    // Perform the query
			    mysqli_query($connect, $templine);
			    // Reset temp variable to empty
			    $templine = '';
			}
		}
		mysqli_query($connect, 'SET foreign_key_checks = 1');

		header("Location: " . rtrim($vars['APP_URL'], '/') . '/install.php?install=true');
	}

?>