<?php

namespace Composers\Common;

/**
 * CMS Setting View Composer
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use View;
use Repositories\System\SettingRepository;

class Settings {


    /**
     * Setup the layout used by the controller.
     *
     * @return void
     */
    public function __construct(SettingRepository $_setting)
    {
        $this->_setting = $_setting;
    }

    public function compose($view)
    {   
        $results = $this->_setting->collections(true);

        View::share('settigs_general',   $results['general']);
        View::share('settigs_comment',   $results['comment']);
        View::share('settigs_analytics', $results['analytics']);
        View::share('settigs_social',    array_filter($results['social']));
    }
    
}