<?php

return array(

	/*
	|--------------------------------------------------------------------------
	| Theme Namespace
	|--------------------------------------------------------------------------
	|
	| Static String for View::make
	| e.g. return View::make('theme::layout.index', $data);
	|
	| and also can be used in the following:
	|
	| BLADE
	|   @extends('theme::backend.layouts.master')
	|   @include('theme::common.header')
	| ...
	*/
	'namespace' => 'theme',

	/*
	|--------------------------------------------------------------------------
	| Theme Path
	|--------------------------------------------------------------------------
	|
	| Main Path/Directory of your theme
	| you can set it like:
	|
	| app_path() . '/themes',
	| app_path() . '/themes/view',
	| or any path
	*/
	'path' => null,

	/*
	|--------------------------------------------------------------------------
	| View HTML/Blade Location
	|--------------------------------------------------------------------------
	|
	| Set your directory for blade/html files
	| If the views is null
	| themes/
	|    - default/
	|         - hello.blade.php
	| Else
	| themes/
	|    - default/
	| 		  - views/    # this is what you put in var views
	|         	   - hello.blade.php
	*/
	'views' => null,

	/*
	|--------------------------------------------------------------------------
	| Default Theme
	|--------------------------------------------------------------------------
	|
	| Default directory for your themes
	*/
	'default' => 'default',

	/*
	|--------------------------------------------------------------------------
	| Template Theme
	|--------------------------------------------------------------------------
	|
	| if the 'theme' is empty
	| it will automatically get the default theme or in app/views folder
	*/
	'theme' => env('APP_THEME', 'default')

);
