<?php

namespace Cms\Chords;

/**
 * ChordController
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Cms\CmsBaseController;

use Input;
use Libraries\Validator\Rules;

use Repositories\Chords\ChordRepository;

class ChordController extends CmsBaseController {


	/**
	 * Set Global View Path for Settings
	 */
	protected $view_path = 'chords.chords';

	/**
	 * Repositories\Chords\ChordRepository;
	 */
	protected $_chord;

	/**
	 * Controller Initializer
	 *
	 * @return void
	 */
	public function __construct(ChordRepository $_chord)
	{
		$this->_chord = $_chord;
	}

	/**
	 * Display Index Page
	 *
	 * @return void
	 */
	public function getIndex()
	{
		$data = [];
		return $this->view('index', $data);
	}

	/**
	 * Get Collections
	 *
	 * @return void
	 */
	public function postCollection()
	{
		
		$chords = $this->_chord->collections();
		return $this->response($chords);

	}

}