<?php

namespace Cms\Dashboard;

/**
 * DashboardController
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Cms\CmsBaseController;

use Repositories\Chords\ArtistRepository;
use Repositories\Chords\SongRepository;

class DashboardController extends CmsBaseController {

	/**
	 * Set Global View Path for Settings
	 */
	protected $view_path = 'dashboard';

	/**
	 * Repositories\Chords\ArtistRepository;
	 */
	protected $_artist;

	/**
	 * Repositories\Chords\SongRepository;
	 */
	protected $_song;

	/**
	 * Controller Initializer
	 *
	 * @return void
	 */
	public function __construct( 
								  SongRepository $_song,
								  ArtistRepository $_artist
							   )
	{
		$this->_song    = $_song;
		$this->_artist  = $_artist;
	}

	/**
	 * Setup the layout used by the controller.
	 *
	 * @return void
	 */
	public function getIndex()
	{
		$data = [
					'chords'  => [
									'total'  => $this->_song->total(),
									'latest' => $this->_song->latest('artist', null, 20),
							     ],
					'artists'  => [
									'total'  => $this->_artist->total(),
									'latest' => $this->_artist->latest(null, null, 20),
							     ],
				];

		return $this->view('index', $data);
	}
}