<?php

namespace Cms\User;

/**
 * UserController
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Cms\CmsBaseController;

use Input;
use Redirect;

use Repositories\Users\AuthRepository;

class UserController extends CmsBaseController {


    /**
    * __construct()
    * Initialize our Class Here for Dependecy Injection
    *
    * @return void
    * @access  public
    **/
    public function __construct(
    								AuthRepository $_auth
    						   )
    {
        $this->_auth = $_auth;
    }

	/**
	 * Setup the layout used by the controller.
	 *
	 * @return void
	 */
	public function getIndex()
	{
        $this->_auth->logout();
        return Redirect::route(ROUTE_USER_LOGIN);
	}

	/**
	 * Setup the layout used by the controller.
	 *
	 * @return void
	 */
	public function getLogin()
	{
		return $this->view('user.login');
	}

	/**
	 * Setup the layout used by the controller.
	 *
	 * @return void
	 */
	public function postAuthentication()
	{
		return $this->_auth->authenticate();
	}


	/**
	 * Setup the layout used by the controller.
	 *
	 * @return void
	 */
	public function getLogout()
	{
        $this->_auth->logout();
        return Redirect::route(ROUTE_USER_LOGIN);
	}

}