<?php

namespace Front\Chords;

/**
 * ArtistController
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Front\FrontBaseController;
use Themes;
use Input;

use Repositories\Chords\ArtistRepository;

class ArtistController extends FrontBaseController {

	public $view_path = 'chords.artists';

	/*
	 * Repositories\Chords\ArtistRepository
	 */
	private $_artist;
	
	/**
	 * Setup the layout used by the controller.
	 *
	 * @return void
	 */
	public function __construct( ArtistRepository $_artist )
	{
		$this->_artist = $_artist;
	}

	/**
	 * Setup the layout used by the controller.
	 *
	 * @return void
	 */
	public function getIndex()
	{
		$randomartists = $this->_artist->random(null, null, 10);

		$input = Input::get();

		$this->_artist->perpage = 16;
		$getartists = $this->_artist->collections($input);
		$getartists = $getartists->appends(Input::except('page'));

		$data = [
					'pagetitle'     => 'Artists Collection',
					'artists'       => $getartists,
					'randomartists' => $randomartists->toArray(),
				];
		return $this->view('index', $data);
	}

}