<?php

namespace Front\Chords;

/**
 * RssController
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Front\FrontBaseController;
use Rss;
use Response;

use Repositories\Chords\SongRepository;

class RssController extends FrontBaseController {

	/*
	 * Repositories\Chords\SongRepository
	 */
	private $_song;

	/**
	 * Setup the layout used by the controller.
	 *
	 * @return void
	 */
	public function __construct( SongRepository $_song )
	{
		$this->_song   = $_song;
	}

	/**
	 * Setup the layout used by the controller.
	 *
	 * @return void
	 */
	public function getIndex()
	{

		$feed = Rss::feed('2.0', 'UTF-8');
		$feedchannel = array(
							'title' 	  => setting('name'),
							'description' => setting('description'),
							'link' 		  => route(ROUTE_FRONT_CHORDS_INDEX)
					   );

	    $feed->channel($feedchannel);

	    $latestsongs = $this->_song->latest('artist');

	    if ( $latestsongs->count() ) {
	    	foreach ($latestsongs as $latestsong) {

	    		$description = strip_tags($latestsong->chords);
	    		$description = str_limit($latestsong->chords, 200);
	    		$feeditems = [
	    						'title' 			=> $latestsong->title,
	    						'description|cdata' => $description,
	    						'link' 				=> route(ROUTE_FRONT_CHORDS_ARTIST_SONG, [$latestsong->artist->slug, $latestsong->slug])
	    					 ];
	    		$feed->item($feeditems);
	    	}
	    }

	    return Response::make($feed, 200, array('Content-Type' => 'text/xml'));

	}

}