<?php

namespace Front\Home;

/**
 * HomeController
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Front\FrontBaseController;
use Themes;
use Redirect;
use Input;

use Repositories\Chords\SongRepository;
use Repositories\Chords\ArtistRepository;

class HomeController extends FrontBaseController {

	public $view_path = 'home';

	/*
	 * Repositories\Chords\SongRepository
	 */
	private $_song;

	/*
	 * Repositories\Chords\ArtistRepository
	 */
	private $_artist;

	/**
	 * Setup the layout used by the controller.
	 *
	 * @return void
	 */
	public function __construct( SongRepository $_song, ArtistRepository $_artist )
	{
		$this->_song   = $_song;
		$this->_artist = $_artist;
	}

	/**
	 * Setup the layout used by the controller.
	 *
	 * @return void
	 */
	public function getIndex()
	{

		$getsongs = $this->_song->latest('artist', [], 20);
		$songs    = $getsongs->toArray();

		$getvideos  = $this->_song->latest('artist', [ 'video|!=' => '' ], 12);
		$getartists = $this->_artist->latest(null, null, 10);

		$data = [
					'songs'   => array_chunk($songs, 10),
					'videos'  => $getvideos->toArray(),
					'artists' => $getartists->toArray(),
				];
		return $this->view('index', $data);
	}

	/**
	 * Redirect Search
	 *
	 * @return void
	 */
	public function getSearch()
	{
		$input = Input::all();

		$route = ROUTE_FRONT_CHORDS_INDEX;
		if ( @$input['searchin'] == 'artists' ) {
			$route = ROUTE_FRONT_ARTISTS_INDEX;
			unset($input['searchin']);
		}
		unset($input['searchin']);
		return Redirect::route($route, $input);
	}

}