<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSongsTable extends Migration {

	
	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('songs', function(Blueprint $table)
		{
			$table->increments('id');
            $table->integer('artist_id')->unsigned();
            $table->integer('type_id')->unsigned();
            $table->string('title');
            $table->string('slug');
            $table->string('version', 32);
            $table->integer('difficulty');
            $table->integer('capo')->default(0);
            $table->longText('chords');
            $table->text('video');
            $table->timestamps();
            
            $table->softDeletes();

			$table->foreign('artist_id')->references('id')->on('artists');
			$table->foreign('type_id')->references('id')->on('types');
            $table->engine = 'InnoDB';
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		if (Schema::hasTable('songs'))
		{
			Schema::table('songs', function(Blueprint $table) {
                $table->dropForeign('songs_artist_id_foreign');
                $table->dropForeign('songs_type_id_foreign');
	        });
	        Schema::drop('songs');
		}
	}

}
