<?php

use Models\Chords\Type;
class TypesSeeder extends Seeder {

     /**
     * The console command instance.
     *
     * @var \Illuminate\Console\Command
     */
     protected $command;

     /**
     * Run the database seeds.
     *
     * @return void
     */
     public function run()
     {
          Eloquent::unguard();

          DB::transaction(function()
          {
               $this->command->info('>>> Types ');
               $this->command->info(' Truncate types table.');
               Type::truncate();

               $this->command->info(' Starting to seed types');
               $types = [ 
                           'Chords',
                           'Tabs',
                           'Ukelele',
                           'Drum',
                           'Bass',
                         ];
               foreach ($types as $type) {
                    $data = [
                         'name' => $type,
                         'slug' => str_slug($type)
                    ];
                    Type::create($data);
               }

               $this->command->info('TypesSeeder table seeded!');
               $this->command->info('-------------------------------------');

          });
     }
}

