<?php

namespace Libraries\Chords;

/**
 * Transposer
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

class Transposer
{
	
    private $type = 'sharps';
    
    private $notes = [
				        'scale' => [
					                  'C'  => 1,
					                  'C#' => 2,
					                  'Db' => 2,
					                  'D'  => 3,
					                  'D#' => 4,
					                  'Eb' => 4,
					                  'E'  => 5,
					                  'Fb' => 5,
					                  'F'  => 6,
					                  'F#' => 7,
					                  'Gb' => 7,
					                  'G'  => 8,
					                  'G#' => 9,
					                  'Ab' => 9,
					                  'A'  => 10,
					                  'A#' => 11,
					                  'Bb' => 11,
					                  'B'  => 12,
					                  'Cb' => 12
					                ],
                        'normal' => [ 1 => 'C', 'C#', 'D', 'Eb', 'E', 'F', 'F#', 'G', 'Ab', 'A', 'Bb', 'B' ],
                        
				      	'flats'  => [ 1 => 'C', 'Db', 'D', 'Eb', 'E', 'F', 'Gb', 'G', 'Ab', 'A', 'Bb', 'B' ],
				      	'sharps' => [ 1 => 'C', 'C#', 'D', 'D#', 'E', 'F', 'F#', 'G', 'G#', 'A', 'A#', 'B' ]
				    ];
    
    // private $search = '`([CDEFGAB][b#]?(?=\s(?![a-zH-Z])|(?=(2|5|6|7|9|11|13|6\/9|7\-5|7\-9|7\#5|7\#9|7‌​\+5|7\+9|7b5|7b9|7sus2|7sus4|add2|add4|add9|aug|dim|dim7|m\|maj7|m6|m7|m7b5|m9|m1‌​1|m13|maj7|maj9|maj11|maj13|mb5|m|sus|sus2|sus4|\))(?=(\s|\/)))|(?=(\/|\.|-|\(|\)))))`';
    private $search = '`([CDEFGAB][b#]?(?=\s(?![a-zH-Z])|(?=(2|5|6|7|9|11|13|6\/9|7\-5|7\-9|7\#5|7\#9|7‌​\+5|7\+9|7b5|7b9|7sus2|7sus4|add2|add4|add9|aug|dim|dim7|m\|maj7|m6|m7|m7b5|m9|m1‌​1|m13|maj7|maj9|maj11|maj13|mb5|m|sus|sus2|sus4|M7|\))(?=(\s|\/)))|(?=\s|\.|\)|-|\/)))`';

   private $search2 = '`([CDEFGAB][b#]?[m]?[\(]?(2|5|6|7|9|11|13|6\/9|7\-5|7\-9|7\#5|7\#9|7\+5|7\+9|7b5|7b9|7sus2|7sus4|add2|add4|add9|aug|dim|dim7|m\|maj7|m6|m7|m7b5|m9|m11|m13|maj7|maj9|maj11|maj13|mb5|m|sus|sus2|sus4|M7)?(\))?)(?=\s|\.|\)|-|\/)`';    
    
    private $song;
    
    private $steps;
    
    private $formattedChords   = [];
    
    private $replacementChords = [];
       
    public function make( $song_, $steps_ = 0, $is_validate = false ) {

            $this->song  = $song_;
            $this->steps = $steps_ % 12; 

            preg_match_all($this->search, $this->song, $song_chords);

            $u = array_unique($song_chords[0]);

            foreach ($u as $chord){
                if (strlen($chord) > 1  && ($chord{1} == "b" || $chord{1} == "#"))
                    array_push($this->formattedChords,substr($chord,0, 2));
                else {
                    array_push($this->formattedChords, substr($chord,0, 1));
                }
            }

            $this->song = preg_replace($this->search,'|$1|',$this->song);

            foreach($this->formattedChords as $notechord) {
                    $len = strlen($notechord);
                    $len = $len - 1;

                    $this->transpose($notechord,'normal',$this->steps);

                    // switch ($notechord{$len}) {
                    //         case "b":                        
                    //             $this->transpose($notechord,'flats',$this->steps);
                    //             break;                 
                    //         default:
                    //             $this->transpose($notechord,'sharps',$this->steps);
                    // }
            }
            foreach($this->formattedChords as &$note) {
                $note = "/\|".$note."\|/";
            }

            // pre($this->formattedChords);
            // pre($this->replacementChords);
            $this->song = preg_replace($this->formattedChords, $this->replacementChords, $this->song);

            // var_dump($this->song);
            // exit;

            $html = preg_replace($this->search2,'<span class="scale-key">$1</span>',$this->song);
			
            return str_replace("<span></span>","<span> </span>",$html);
			
            // echo $html = str_replace("<span></span>","<span> </span>",$html);
			//$dompdf = new DOMPDF();
			//$dompdf->load_html($html);
			//$dompdf->render();
			//strlen($html);
			//$dompdf->stream("sample.pdf");
        }
    
        public function transpose($note,$types,$steps) {

        	$note = str_replace(["/\|", "\|/"], '', $note);

            if ( isset($this->notes['scale'][$note]) ) {
                $ix    = $this->notes['scale'][$note];
                $ixNew = $ix + $steps;
                if ( !isset($this->notes[$types][$ixNew]) ) {
                    $ixNew += ($ixNew > 0) ? -12 : 12;
                    // if(!isset($this->notes[$types][$ixNew]))
                            // throw new Exception("My math skills suck! $note : $steps : $ix : $ixNew");
                }
                array_push($this->replacementChords, $this->notes[$types][$ixNew]);

            }
        }
}
