<?php

namespace Libraries\FileSystem;

/**
 * Asset
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use App;
use File;

use Libraries\Exceptions\FileNotFound;

class Asset {

    /**
     * getAssetUrl()
     *
     * @access  public
     */

	public function setAssetUrl( $filepath )
	{
        if ( strpos($filepath, 'http') !== false )
        	return $filepath;

		return route(ROUTE_ASSET_FILE_URL, $filepath);
	}

    /**
     * getAssetUrl()
     *
     * @access  public
     */

	public function getAssetUrl( $filepath, $filename )
	{

		$file = storage_path("{$filepath}/{$filename}");

		if ( File::exists($file) ) {

			$image = App::make('Libraries\Http\Image');
			ob_end_clean();
			return $image->render( $file, false );
		}

		return null;

	}

}