<?php

namespace Libraries\Validator;

/**
 * Image
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Validator;

class Rules {

    public static function validate($data, $rules)
    {
        
        $validator = Validator::make($data, $rules);

        if ( $validator->fails() )
        {

            $errors   = $validator->errors();
            $messages = [];

            foreach (array_keys($rules) as $required)
            {
                if ( $errors->has($required) )
                {
                    $messages[$required] = $errors->first($required);
                }
            }

            return [ 'errors' => $messages ];
            
        }

        return false;
    }

}