<?php

namespace Model\Base;

/**
 * BaseModel
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */
 
use Eloquent;
use DB;
class BaseModel extends Eloquent {
   
    protected $cacheName;

    public static function table()
    {
      $instance = new static;
      return $instance->getTable();
    }

    public static function columnLists()
    {
      return DB::getSchemaBuilder()->getColumnListing( self::table() );
    }

    public function setCacheName( $name )
    {
    	$this->cacheName = $name;
    	return $this;
    }

    public function getCacheName()
    {
    	return self::getTable();
    }
}