<?php

namespace Models\Users;

/**
 * User Eloquent Class
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Cartalyst\Sentry\Hashing\NativeHasher;
use Cartalyst\Sentry\Users\Eloquent\User as SentryUser;
use Traits\HashIdTrait;

class User extends SentryUser {

    use HashIdTrait;

	/**
	 * The database table used by the model.
	 *
	 * @var string
	 */
	protected $table = 'users';

	/**
	 * The append attribute
	 *
	 * @var array
	 */
	protected $appends = array('fullname');

	/**
	 * getFullNameAttribute
	 *
	 *
	 * @access  public
	 */
	public function getFullnameAttribute() {
        return $this->last_name . ', ' . $this->first_name;
	}

}
