<?php

namespace Repositories\Chords;

/**
 * ChordRepository
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Repositories\Base\Repository;

class ChordRepository extends Repository
{

    protected $modelclass = 'Models\Chords\Chord';

    public $perpage = 20;

    public function getchord($code, $field = 'id', $first = false)
    {
        $query = $this->model->where($field, $code);

        if ( $first === false )
            return $query->get();

        return $query->first();
    }

    /**
     * @return void
     * @access public
     */
    public function collections()
    {
        $query = $this->model
                      ->with('childs')
                      ->where('parent', 0)
                      ->orderBy('position')
                      ->get();

        $datas  = [];
        foreach ($query as $chord)
        {
            $data = $this->chords($chord);
            $data['childs'] = [];
            foreach ($chord->childs as $childs)
            {
                $data['childs'][] = $this->chords($childs);
            }

            $datas[] = $data;
        }

        return $datas;
    }

    private function chords($chord) {

        return [
                    'id'          => encrypt($chord->id),
                    'code'        => $chord->code,
                    'alternative' => $chord->alternative,
                    'key'         => $chord->key,
                    'pattern'     => $chord->pattern,
                    'position'    => $chord->position,
                ];
    }

}