<?php

namespace Repositories\Chords;

/**
 * SongRepository
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Repositories\Base\Repository;

class SongRepository extends Repository
{

    protected $modelclass = 'Models\Chords\Song';

    public $perpage = 20;

    public function getsong($code, $field = 'id', $first = true)
    {
        $query = $this->model->where($field, $code);

        if ( $first === false )
            return $query->get();

        return $query->first();
    }

    /**
     * @return void
     * @access public
     */
    public function collections($input, $artist_id = null, $order_by = 'DESC')
    {
        $search = @$input['search'] ?: @$input['s'];
        $letter = @$input['letter'] ?: @$input['l'];
        $query  = $this->model->with('artist');

        $sortby   = @$input['sort'] ?: 'newest';
        $sortkey  = 'created_at';
        $sorttype = $order_by;
        if ( $sortby == 'alphabetically' ) {
            $sortkey  = 'title';
            $sorttype = 'ASC';
        }

        if ( $search ) {
            $query = $query->where(function($q) use($search) {
                return $q->where('title',    'LIKE', '%' . $search . '%')
                         ->orWhere('chords', 'LIKE', '%' . $search . '%');
            });
        }
        if ( $letter ) {
            if ( $letter == '0-9' )
                $query = $query->where('title', 'REGEXP', '^[^A-Za-z]');
            else
                $query = $query->where('title', 'LIKE', $letter . '%');
        }

        if ( $artist_id !== null )
            $query = $query->where('artist_id', $artist_id);

        return $query->orderBy($sortkey, $sorttype)->paginate( $this->perpage );
    }

}