<?php

namespace Repositories\Chords;

/**
 * TypeRepository
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Repositories\Base\Repository;

class TypeRepository extends Repository
{

    protected $modelclass = 'Models\Chords\Type';

    /**
     * @return void
     * @access public
     */
    public function collections($array = true)
    {
        $types  = $this->model->orderBy('name')->get();

        if ( $array === true ) {
            $datas  = [];
            foreach ($types as $type) {
                $datas[] = [
                                '_id'   => $type->id,
                                'name'  => $type->name,
                                'slug'  => $type->slug,
                           ];
            }

            return $datas;
        }

        return $types;
    }

}