<?php

namespace Repositories\System;

/**
 * SettingRepository
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Repositories\Base\Repository;

class SettingRepository extends Repository
{

    protected $modelclass = 'Models\System\Setting';

    public function getsetting($code, $field = 'code', $first = true, $value = false)
    {
        $query = $this->model->where($field, $code);

        if ( $first === false )
            return $query->get();

        $first = $query->first();

        if ( $value === true )
            return $first->value;

        return $first;
    }

    /**
     * @return void
     * @access public
     */
    public function collections($model = false)
    {
        $settings = $this->model->orderBy('code', 'ASC')->get();

        if ( $model === true ) {
            if ( $settings ) {
        		$return = [];
                foreach ($settings as $setting) {
                    $return[$setting->type][$setting->code] = $setting->value; 
                }
            }
            return $return;
        }

        return $settings;
    }

}