<?php

namespace Repositories\Users;

/**
 * UserRepository
 *
 * @package RynelleCMS
 * @author  Rynelle Coronacion <dev.rynelle@gmail.com>
 * @version v1
 */

use Repositories\Base\Repository;

use Sentry;

class UserRepository extends Repository
{

    protected $modelclass = 'Models\Users\User';

    /*
     * Save Data

     * @param array        $data
     * @param string|array $value
     * @param string       field
     * @return void
     */
    public function updateuser($data, $id = 0)
    {

        try
        {
            // Find the user using the user id
            $user = Sentry::findUserById($id);

            // Update the user details
            $user->email      = $data['email'];
            $user->first_name = $data['first_name'];
            $user->last_name  = $data['last_name'];
            $user->username   = $data['username'];

            if ( @$data['password'] ) 
                $user->password = $data['password'];

            $user->save();

            $data = [ 'success' => true ];
        }
        catch (Cartalyst\Sentry\Users\UserExistsException $e)
        {
            $data = [
                        'success' => false,
                        'error'   => 'User with this login already exists.'
                    ];
        }
        catch (Cartalyst\Sentry\Users\UserNotFoundException $e)
        {
            $data = [
                        'success' => false,
                        'error'   => 'User was not found.'
                    ];
        }

        return $data;

    }

}