<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the Closure to execute when that URI is requested.
|
*/

Route::get('songs', function() {

    $perfile = 100;
    $folder  = 'c';
    $path    = 'chords'; // [ 'chords', 'bass-tabs', 'drum', 'tabs', 'ukelele' ]
    $directory = storage_path("chords/{$folder}/{$path}");

    $target_dir = storage_path("ultimate-guitar/{$path}/{$folder}");

    if( !File::exists($target_dir) )
        File::makeDirectory($target_dir, 0777, true);

    $files = File::allFiles($directory);

    $from = 2000;
    $to   = 2999;
    $prev = 84 + 89 + 0;
    var_dump($folder);
    var_dump(count($files));
    if ( $files ) {
        $chords = [];

        for ($f=0; $f < count($files); $f++) { 

            if ( $f >= $from && $f <= $to ) {

                $filecontent = File::get($files[$f]);
                $json        = json_decode($filecontent, true);
                $chords      = array_merge($chords, $json);

            }
        }

        if ( $chords ) {
            
            $chord_chunks = array_chunk($chords, $perfile);
            var_dump(count($chord_chunks));

            for ($c=0; $c < count($chord_chunks); $c++) { 
                $file = $prev + $c;
                File::put("{$target_dir}/{$folder}_{$file}.json", json_encode($chord_chunks[$c]));

                var_dump("{$folder}_{$file}.json");

            }
        }

    }

    var_dump('DONE');

});

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
*/
foreach (glob(__DIR__ . '/routes/*.php') as $file)
{
	require $file;
}