<?php


/*
|--------------------------------------------------------------------------
| LOGIN DEFAULT PAGE
|--------------------------------------------------------------------------
*/
Route::get('metachords-login', [
    'as'   => ROUTE_USER_LOGIN,
    'uses' => 'Cms\User\UserController@getLogin',
]);

/*
|--------------------------------------------------------------------------
| Users Route
| Login Auth
|--------------------------------------------------------------------------
*/
Route::controller( 'metachords-auth', 'Cms\User\UserController',
    [
        'getIndex'           => ROUTE_USER_INDEX,
        'getLogin'           => ROUTE_USER_LOGIN,
        'getLogout'          => ROUTE_USER_LOGOUT,
        'postAuthentication' => ROUTE_USER_POST_AUTH
    ]
);


/*
|--------------------------------------------------------------------------
| CMS
|--------------------------------------------------------------------------
*/
Route::group( ['prefix' => 'metachords-backend', 'before' => 'AuthCmsLogged', 'namespace' => 'Cms'], function()
{


    /*
     * Artist
     */
    Route::group( ['prefix' => 'chords-n-tab', 'namespace' => 'Chords'], function()
    {
        Route::controller( '/', 'SongController',
            [
                'getIndex'       => ROUTE_CMS_SONG_INDEX,
                'postArtists'    => ROUTE_CMS_SONG_ARTISTS,
                'postSubmit'     => ROUTE_CMS_SONG_SUBMIT_FORM,
                'postCollection' => ROUTE_CMS_SONG_COLLECTION,
                'postMultiScrap' => ROUTE_CMS_SONG_MULTI_SCRAP,
                'postDeleteSong' => ROUTE_CMS_SONG_DELETE,
                'postScrapUrl'   => ROUTE_CMS_SONG_SCRAP_URL,
            ]
        );
    });

    /*
     * Artist
     */
    Route::group( ['prefix' => 'artists', 'namespace' => 'Chords'], function()
    {
        Route::controller( '/', 'ArtistController',
            [
                'getIndex'         => ROUTE_CMS_ARTIST_INDEX,
                'postSubmit'       => ROUTE_CMS_ARTIST_SUBMIT_FORM,
                'postCollection'   => ROUTE_CMS_ARTIST_COLLECTION,
                'postDeleteArtist' => ROUTE_CMS_ARTIST_DELETE,
            ]
        );
    });

    /*
     * Settings
     */
    Route::group( ['prefix' => 'settings', 'namespace' => 'Settings'], function()
    {
        Route::controller( '/', 'SettingController',
            [
                'getIndex'           => ROUTE_CMS_SETTING_INDEX,
                'getGeneral'         => ROUTE_CMS_SETTING_GENERALS,
                'getSocial'          => ROUTE_CMS_SETTING_SOCIAL,
                'getCommentPlugins'  => ROUTE_CMS_SETTING_COMMENT_PLUGINS,
                'getGoogleAnalytics' => ROUTE_CMS_SETTING_GOOGLE_ANALYTICS,

                'postDetails'        => ROUTE_CMS_SETTING_DETAILS,
                'postUpdate'         => ROUTE_CMS_SETTING_UPDATE,
            ]
        );
    });

    /*
     * User Profile
     */
    Route::group( ['prefix' => 'profile', 'namespace' => 'User'], function()
    {
        Route::controller( '/', 'ProfileController',
            [
                'getIndex'        => ROUTE_CMS_PROFILE_INDEX,
                'postInformation' => ROUTE_CMS_PROFILE_INFORMATION,
                'postUpdate'      => ROUTE_CMS_PROFILE_UPDATE,
            ]
        );
    });

    /*
     * Dashboard
     */
    Route::group( ['prefix' => '/', 'namespace' => 'Dashboard'], function()
    {
        Route::controller( '/', 'DashboardController',
            [
                'getIndex'  => ROUTE_CMS_DASHBOARD_INDEX,
            ]
        );
    });

});