<?php

/*
|--------------------------------------------------------------------------
| Front Route
|--------------------------------------------------------------------------
*/
Route::group( ['prefix' => '/', 'namespace' => 'Front' ], function()
{

    /*
     * Static Page like, About Us, Terms
     */
    Route::group( ['namespace' => 'Statics' ], function()
    {

        Route::get('about-us', [
            'as'   => 'about',
            'uses' => 'StaticController@getAbout',
        ]);

        Route::get('terms-of-service', [
            'as'   => 'terms',
            'uses' => 'StaticController@getTerms',
        ]);
        
    });

    /*
     * Contact us
     */
    Route::group( ['namespace' => 'Contacts' ], function()
    {
        Route::controller('contact-us', 'ContactController',
            [
                'getIndex' => ROUTE_FRONT_CONTACT_INDEX,
                'postSend' => ROUTE_FRONT_CONTACT_SEND,
            ]
        );
    });

    /*
     * Home Search Controller
     */
    Route::group( ['namespace' => 'Home' ], function()
    {
        Route::get('search', [
            'as'   => ROUTE_FRONT_HOME_SEARCH,
            'uses' => 'HomeController@getSearch',
        ]);
    });

    Route::group( ['namespace' => 'Chords' ], function()
    {

        Route::get('chords', [
            'as'   => ROUTE_FRONT_CHORDS_INDEX,
            'uses' => 'ChordController@getIndex',
        ]);
        
        Route::get('artists', [
            'as'   => ROUTE_FRONT_ARTISTS_INDEX,
            'uses' => 'ArtistController@getIndex',
        ]);
        
        Route::get('rss', [
            'as'   => ROUTE_FRONT_RSS_INDEX,
            'uses' => 'RssController@getIndex',
        ]);
        
        Route::get('{artist}/{song?}/{isajax?}', [
            'as'   => ROUTE_FRONT_CHORDS_ARTIST_SONG,
            'uses' => 'ChordController@getSong',
        ]);
        
    });

    Route::get('/', [
        'as'   => ROUTE_FRONT_HOME_INDEX,
        'uses' => 'Home\HomeController@getIndex',
    ]);

});
