
<!DOCTYPE html>
<!--
This is a starter template page. Use this page to start your new project from
scratch. This page gets rid of all links and provides the needed markup only.
-->
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>{{ $settigs_general['name'] }} | Content Management System</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

    <!-- Icon -->
    <link rel="shortcut icon" href="{{ $settigs_general['icon'] }}">

    <!-- Bootstrap 3.3.6, CMS Sking & Style -->
    <link rel="stylesheet" href="{{ build_asset('cms/css/vendor.css') }}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.5.0/css/font-awesome.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Common Style -->
    <link rel="stylesheet" href="{{ build_asset('cms/css/app.css') }}">
    <!--Custom Stylesheet -->
    @yield('css')
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body class="hold-transition skin-blue-light sidebar-mini">

    <div id="top"></div>
    <div class="wrapper">

        @include('cms.partials.header')

        @include('cms.partials.sidebar')

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">

                @yield('title')
                
                @yield('breadcrumb')

            </section>

            <!-- Main content -->
            <section class="content">
                <!-- Your Page Content Here -->
                @yield('content')
            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->

        @include('cms.partials.footer')

<!-- Add the sidebar's background. This div must be placed
    immediately after the control sidebar -->
    <div class="control-sidebar-bg"></div>

</div>
<!-- ./wrapper -->

<!-- REQUIRED JS SCRIPTS -->

<!-- jQuery 2.2.3, Bootstrap 3.3.6, AdminLTE App -->
<script type="text/javascript" src="{{ build_asset('cms/js/vendor.js') }}" ></script>
<!-- Angular -->
<script type="text/javascript" src="{{ build_asset('cms/js/ng-vendor.js') }}"></script>
<!-- CSRF TOKEN -->
<script type="text/javascript">window.csrf = '{{ csrf_token() }}'</script>
<!-- Angular Common JS -->
<script type="text/javascript" src="{{ build_asset('cms/js/ng-common.js') }}"></script>
<!--Custom JSScript -->
@yield('js')

</body>
</html>
