
<div ng-show="display == 'form'">
    <div class="box-header with-border">
        <h3 class="box-title">
            <button class="btn btn-default btn-title-back" ng-click="cancelForm()">
                <i class="fa fa-chevron-left"></i>
            </button>
            <span>Add New </span> Artist
        </h3>
    </div>
    <!-- /.box-header -->
    
    <form role="form" ng-submit="submit()">
        <div class="box-body min-height">


            <div class="row">
                <div class="col-sm-3">
                    @include($view_path . 'partials.uploader')
                </div>
                <div class="col-sm-9">

                    <div>
                        <label class="control-label">Name</label>
                        <input type="text" class="form-control" placeholder="Name" ng-model="form.name" ng-change="nameSlug()">
                        <small class="text-danger" ng-show="error.name" ng-cloak>@{{ error.name }}</small>
                    </div>

                    <div class="mar-top">
                        <label class="control-label">Slug</label>
                        <input type="text" class="form-control" placeholder="Slug" ng-model="form.slug">
                        <small class="text-danger" ng-show="error.slug" ng-cloak>@{{ error.slug }}</small>
                    </div>
                    <div class="mar-top">
                        <label class="control-label"><strong>More Details</strong></label>
                        <table class="table table-hover table-striped">
                            <thead>
                                <tr>
                                    <th></th>
                                    <th>Name</th>
                                    <th>Value</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr ng-repeat="detail in form.details track by $index">
                                    <td width="20" ng-cloak>@{{ $index + 1 }}.</td>
                                    <td ng-cloak width="200">@{{ detail.name }}</td>
                                    <td ng-cloak>@{{ detail.value }}</td>
                                    <td width="90"><button type="button" class="btn btn-default btn-xs" ng-click="deleteDetail($index)"><i class="fa fa-remove"></i> Delete</button></td>
                                </tr>
                            </tbody>
                            <tbody>
                                <tr class="background-color-white">
                                    <td width="20" style="padding-top: 14px;"><i class="fa fa-chevron-right"></i></td>
                                    <td width="200"><input type="text" class="form-control" placeholder="Name" ng-model="details.name"></td>
                                    <td><textarea rows="3" msd-elastic class="form-control" placeholder="Value" ng-model="details.value"></textarea></td>
                                    <td width="90"><button type="button" class="btn btn-default btn-sm" style="line-height:16px;" ng-click="addMoreDetails()"><i class="fa fa-plus"></i> Add</button></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>

                    {{-- <div class="mar-top">
                        <label class="control-label">Description</label>
                        <textarea class="form-control" rows="1" msd-elastic placeholder="Description" ng-model="form.description"></textarea>
                        <small class="text-danger" ng-show="error.description" ng-cloak>@{{ error.description }}</small>
                    </div> --}}
                </div>
            </div>

        </div>
        <!-- /.box-body -->

        <div class="box-footer">
            <div class="pull-left" ng-show="onsubmit">
                <h3 class="mar-no"><i class="fa fa-spinner fa-spin"></i></h3>
            </div>
            
            <div class="pull-right">

                <button type="button" disabled class="btn text-success bg-white btn-flat" ng-show="onsuccess"><i class="fa fa-check"></i> @{{ onmessage }}</button>

                <button  ng-click="cancelForm()" type="button" ng-disabled="onsuccess" class="btn btn-default btn-flat"><i class="fa fa-remove"></i> Cancel</button>
                <button type="submit" class="btn btn-success btn-flat" ng-disabled="onsubmit || onsuccess">
                    <i class="fa" ng-class="onsubmit && !onsuccess ? 'fa-spinner fa-spin' : 'fa-check'"></i> Save
                </button>
            </div>

        </div>
        <!-- /.box-footer -->
    </form>
</div>