@extends('cms.layouts.master')

@section('title')
    <h1>Artist Informations</h1>
@endsection

@section('breadcrumb')
    <ol class="breadcrumb">
        <li><a href="{{ route(ROUTE_CMS_DASHBOARD_INDEX) }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Artist</li>
    </ol>
@endsection

@section('content')
    <div ng-app="ArtistApp" ng-controller="ArtistController">
        <div class="row">
            <div class="col-md-12" ng-cloak>

                <div class="callout callout-success" ng-show="onsuccess">
                    <h4><i class="fa fa-check"></i> Success!</h4>
                    @{{ onmessage }}
                </div>
                
                <div class="box box-primary" content-loader="loading">
                    @include($view_path . 'lists')
                    @include($view_path . 'form')
                </div>

            </div>
        </div>

        <script type="text/ng-template" id="MODAL_DELETE_ARTIST">
            @include($view_path . 'partials.modal-delete-artist')
        </script>

    </div>
@endsection

@section('js')
    <script type="text/javascript">
        window.Routes = {
            SubmitForm    : '{{ route(ROUTE_CMS_ARTIST_SUBMIT_FORM) }}',
            GetCollection : '{{ route(ROUTE_CMS_ARTIST_COLLECTION) }}',
            DeleteArtist  : '{{ route(ROUTE_CMS_ARTIST_DELETE) }}'
        }
        window.Vars = {
            Id       : "{{ $admininfo['hashid'] }}",
        }
    </script>
    <!-- Angular User Login -->
    <script src="{{ build_asset('cms/js/ng-artists.js') }}"></script>
@stop