
<div ng-show="display == 'form'">
    <div class="box box-primary">
        <div class="box-header with-border">
            <h3 class="box-title">
                <button class="btn btn-default btn-title-back" ng-click="cancelForm()">
                    <i class="fa fa-chevron-left"></i>
                </button>
                <span ng-if="!is_edit">Add New Song</span>
                <span ng-if="is_edit">Edit @{{ song.title }}</span>
            </h3>
            <button type="button" class="btn btn-primary btn-flat pull-right" ng-disabled="onsubmit" ng-click="scriper()"><i class="fa fa-code"></i> Chord Scraper</button>
        </div>
        <!-- /.box-header -->
        
        <form role="form" ng-submit="submit()">
            <div class="box-body min-height">

                <div>
                    <label class="control-label">Title</label>
                    <input type="text" class="form-control" placeholder="Title" ng-model="form.title" ng-change="titleSlug()">
                    <small class="text-danger" ng-show="error.title" ng-cloak>@{{ error.title }}</small>
                </div>

                <div class="mar-top">
                    <label class="control-label">Slug</label>
                    <input type="text" class="form-control" placeholder="Slug" ng-model="form.slug">
                    <small class="text-danger" ng-show="error.slug" ng-cloak>@{{ error.slug }}</small>
                </div>

                <div class="mar-top">
                    <label class="control-label">Artist</label>
                    <select class="form-control chosen"
                            chosen
                            disable-search="true"
                            data-placeholder-text-single="'Choose Artist, Song Writer, Band, etc...'"
                            ng-options="artist._id as artist.name for artist in artists"
                            ng-model="form.artist">
                            <option></option>
                    </select>
                    <div ng-show="form.artist == 'others'" class="mar-top mar-6">
                        <input type="text" class="form-control" placeholder="Other Artist" ng-model="form.artist_other">
                    </div>
                    <small class="text-danger" ng-show="error.artist" ng-cloak>@{{ error.artist }}</small>
                </div>

                <div class="row mar-top">
                    <div class="col-sm-6 mar-bottom">
                        <label class="control-label">Types</label>
                        <select class="form-control chosen"
                                chosen
                                disable-search="true"
                                option="capos"
                                data-placeholder-text-single="'Choose Type'"
                                ng-options="type._id as type.name for type in types"
                                ng-model="form.type">
                                <option></option>
                        </select>
                        <small class="text-danger" ng-show="error.type" ng-cloak>@{{ error.type }}</small>
                    </div>
                    <div class="col-sm-6 mar-bottom">
                        <label class="control-label">Difficulty</label>
                        <select class="form-control chosen"
                                chosen
                                disable-search="true"
                                option="difficulties"
                                data-placeholder-text-single="'Choose Difficulty'"
                                ng-options="difficulty.id as difficulty.name for difficulty in difficulties"
                                ng-model="form.difficulty">
                                <option></option>
                        </select>
                        <small class="text-danger" ng-show="error.difficulty" ng-cloak>@{{ error.difficulty }}</small>
                    </div>
                </div>

                <div class="row mar-top">
                    <div class="col-sm-6 mar-bottom">
                        <label class="control-label">Capo</label>
                        <select class="form-control chosen"
                                chosen
                                disable-search="true"
                                option="capos"
                                data-placeholder-text-single="'Choose Capo #'"
                                ng-options="capo.id as capo.name for capo in capos"
                                ng-model="form.capo">
                                <option></option>
                        </select>
                        <small class="text-danger" ng-show="error.difficulty" ng-cloak>@{{ error.difficulty }}</small>
                    </div>
                    <div class="col-sm-6 mar-bottom">
                        <label class="control-label">Version</label>
                        <input type="text" class="form-control" placeholder="Version" ng-model="form.version">
                        <small class="text-danger" ng-show="error.version" ng-cloak>@{{ error.version }}</small>
                    </div>
                </div>

                <div>
                    <label class="control-label">Lyrics &amp; Chords <i class="text-info fa fa-info-circle hand"></i></label>
                    <textarea class="form-control font-monospace" style="font-size:12px;" rows="16" placeholder="Lyrics & Chords" ng-model="form.chords" msd-elastic></textarea>
                    <small class="text-danger" ng-show="error.chords" ng-cloak>@{{ error.chords }}</small>
                </div>

                <div class="mar-top">
                    <label class="control-label">Youtube</label>
                    <input type="text" class="form-control" placeholder="https://" ng-model="form.video">
                    <small class="text-danger" ng-show="error.video" ng-cloak>@{{ error.video }}</small>
                </div>

            </div>
            <!-- /.box-body -->

            <div class="box-footer">
                <div class="pull-left" ng-show="onsubmit">
                    <h3 class="mar-no"><i class="fa fa-spinner fa-spin"></i></h3>
                </div>
                <div class="pull-right">

                    <button type="button" disabled class="btn text-success bg-white btn-flat" ng-show="onsuccess"><i class="fa fa-check"></i> @{{ onmessage }}</button>

                    <button  ng-click="cancelForm()" type="button" class="btn btn-default btn-flat"><i class="fa fa-remove"></i> Cancel</button>
                    <button type="submit" class="btn btn-success btn-flat" ng-disabled="onsubmit || onsuccess">
                        <i class="fa" ng-class="onsubmit && !onsuccess ? 'fa-spinner fa-spin' : 'fa-check'"></i> Save
                    </button>
                </div>

            </div>
            <!-- /.box-footer -->
        </form>
    </div>
</div>

