@extends('cms.layouts.master')

@section('title')
    <h1>Chords &amp; Tabs Informations</h1>
@endsection

@section('breadcrumb')
    <ol class="breadcrumb">
        <li><a href="{{ route(ROUTE_CMS_DASHBOARD_INDEX) }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Chords &amp; Tabs Lists</li>
    </ol>
@endsection

@section('content')
    <div ng-app="SongApp" ng-controller="SongController">
        <div class="row">
            <div class="col-md-12" ng-cloak>

                <div class="callout callout-success" ng-show="onsuccess">
                    <h4><i class="fa fa-check"></i> Success!</h4>
                    @{{ onmessage }}
                </div>

                <div class="nav-tabs-custom" ng-show="display == 'lists' || display == 'multiscraper'">
                    <ul class="nav nav-tabs">
                        <li class="active"><a href="#collection" data-toggle="tab">Collections</a></li>
                        <li><a href="#search" data-toggle="tab" style="background-color: #ecf0f5;">Search from Ultimate-Guitar.com</a></li>
                    </ul>
                    <div class="tab-content" ng-cloak content-loader="loading">
                        <div class="tab-pane active" id="collection">
                            @include($view_path . 'lists')
                        </div>
                        <div class="tab-pane" id="search">
                            @include($view_path . 'multi-scraper')
                        </div>
                    </div>
                </div>
                
                @include($view_path . 'form')

            </div>
        </div>

        <script type="text/ng-template" id="MODAL_DELETE_SONG">
            @include($view_path . 'partials.modal-delete-song')
        </script>

        <script type="text/ng-template" id="MODAL_SCRAPER">
            @include($view_path . 'partials.modal-scraper')
        </script>

    </div>
@endsection

@section('js')
    <link rel="image_src" href="https://cdnjs.cloudflare.com/ajax/libs/chosen/1.1.0/chosen-sprite.png">
    <script type="text/javascript">
        window.Routes = {
            Artists       : '{{ route(ROUTE_CMS_SONG_ARTISTS) }}',
            SubmitForm    : '{{ route(ROUTE_CMS_SONG_SUBMIT_FORM) }}',
            GetCollection : '{{ route(ROUTE_CMS_SONG_COLLECTION) }}',
            GetMultiScrap : '{{ route(ROUTE_CMS_SONG_MULTI_SCRAP) }}',
            DeleteSong    : '{{ route(ROUTE_CMS_SONG_DELETE) }}',
            ScrapUrl      : '{{ route(ROUTE_CMS_SONG_SCRAP_URL) }}'
        }
        window.Vars = {
            Id    : '{{ $admininfo['hashid'] }}',
            Types : JSON.parse('{{ $types }}')
        }
    </script>
    <!-- Angular User Login -->
    <script src="{{ build_asset('cms/js/ng-songs.js') }}"></script>
@stop