
<div>
	<div class="modal-header">
		<button type="button" class="close" ng-click="closeModal()"  ng-show="!onscrap">
            <span aria-hidden="true">×</span>
        </button>
		<h3 class="modal-title text-primary"><i class="fa fa-code"></i> Chord Scraper</h3>
	</div>
	<div class="panel-body">

        <label>Scrap URL</label>
        <textarea class="form-control" placeholder="https://" rows="2" ng-model="formscrap.url" ng-disabled="onscrap"></textarea>
        <small class="text-danger" ng-show="formscrap.error" ng-cloak>@{{ formscrap.error }}</small>
        
        <div class="example-label">
            <div>e.g:</div>
            - https://tabs.ultimate-guitar.com/m/misc_children/twinkle_twinkle_little_star_crd.htm
        </div>

        <div class="progress mar-top" ng-show="onscrap">
            <div class="progress-bar progress-bar-striped active"
                 role="progressbar"
                 aria-valuenow="100"
                 aria-valuemin="0"
                 aria-valuemax="100"
                 style="width:100%">
                 Please wait...
            </div>
        </div>
        <div ng-if="formscrap.done">
            <hr class="mar-top mar-bottom">
            <div>Title: <strong class="text-success">@{{ formscrap.form.title }}</strong></div>
            <div>Version: <strong class="text-success">@{{ formscrap.form.version }}</strong></div>
            <div>Difficulty: <strong class="text-success">@{{ formscrap.form.difficulty | difficulty }}</strong></div>
            <div>Type: <strong class="text-success first-letter-uppercase">@{{ formscrap.form.type }}</strong></div>
        </div>

        <div ng-if="formscrap.done && formscrap.chords.length > 0">
            <h5>Similar:</h5>
            <div class="table-responsive">
                <table class="table table-hover table-striped table-bordered">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Title</th>
                            <th>Version</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr ng-repeat="chord in formscrap.chords track by $index">
                            <td width="50">@{{ $index + 1 }}.</td>
                            <td>
                                <a href="@{{ chord.link }}" target="_blank">@{{ chord.name }}</a>
                            </td>
                            <td><strong>@{{ chord.version }}</strong></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>

	</div>
	<div class="modal-footer text-right text-uppercase" ng-show="!onscrap">

        <button class="btn btn-default btn-flat" ng-click="closeModal()">
            <i class="fa fa-remove"></i>
            <span ng-if="!formscrap.done">Close</span>
            <span ng-if="formscrap.done">Cancel</span>
        </button>
        <span ng-if="formscrap.done">
            <button class="btn btn-success btn-flat" ng-click="scrapContinue()"><i class="fa fa-pencil"></i> Edit</button>
        </span>
        <button class="btn btn-primary btn-flat" ng-click="scrapConfirm()"><i class="fa fa-code"></i> Scrap</button>

	</div>
</div>