@extends('cms.layouts.master')

@section('title')
	<h1>Dashboard</h1>
@endsection


@section('content')
    <div class="row">
        <div class="col-sm-6">

            <div class="small-box bg-green">
                <div class="inner">
                    <h3>{{ number_format($chords['total']) }}</h3>

                    <p>Chords &amp; Tabs</p>
                </div>
                <div class="icon">
                    <i class="fa fa-music"></i>
                </div>
                <a href="{{ route(ROUTE_CMS_SONG_INDEX) }}" class="small-box-footer">More Chords &amp; Tabs <i class="fa fa-arrow-circle-right"></i></a>
            </div>

            <div class="box box-success">
                <div class="box-header">
                    <h3 class="box-title mar-top mar-8">
                        <i class="fa fa-music"></i> Latest Chords &amp; Tabs
                    </h3>
                </div>

                <div class="box-body">
                    <div class="table-responsive">
                        <table class="table table-bordered table-hover">
                            <thead>
                                <tr>
                                    <th width="20">#</th>
                                    <th>Title</th>
                                    <th>Artist</th>
                                    <th width="80">Version</th>
                                </tr>
                            </thead>
                            
                            @if ( $chords['latest'] )
                                <tbody>
                                    @foreach ($chords['latest'] as $chords_latest_key => $chords_latest)
                                        <tr>
                                            <td>{{ $chords_latest_key + 1 }}.</td>
                                            <td>
                                                <a href="#" target="_blank">{{ $chords_latest->title }}</a>
                                            </td>
                                            <td>
                                                <a href="#" target="_blank">{{ $chords_latest->artist->name }}</a>
                                            </td>
                                            <td>{{ $chords_latest->version }}</td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            @else
                                <tbody>
                                    <tr>
                                        <td colspan="4" align="center">No Record Found.</td>
                                    </tr>
                                </tbody>
                            @endif

                        </table>
                    </div>
                </div>
            </div>

        </div>
        <div class="col-sm-6">

            <div class="small-box bg-aqua">
                <div class="inner">
                    <h3>{{ number_format($artists['total']) }}</h3>
                    <p>Artists</p>
                </div>
                <div class="icon">
                    <i class="fa fa-microphone"></i>
                </div>
                <a href="{{ route(ROUTE_CMS_ARTIST_INDEX) }}" class="small-box-footer">More Artists <i class="fa fa-arrow-circle-right"></i></a>
            </div>


            <div class="box box-primary">
                <div class="box-header">
                    <h3 class="box-title mar-top mar-8">
                        <i class="fa fa-microphone"></i> Latest Artists
                    </h3>
                </div>
                <div class="box-body">
                    <div class="table-responsive">
                        <table class="table table-bordered table-hover">
                            <thead>
                                <tr>
                                    <th width="10">#</th>
                                    <th>Name</th>
                                </tr>
                            </thead>

                            @if ( $artists['latest'] )
                                <tbody>
                                    @foreach ($artists['latest'] as $artists_latest_key => $artists_latest)
                                        <tr>
                                            <td>{{ $artists_latest_key + 1 }}.</td>
                                            <td>
                                                <a href="#" target="_blank">{{ $artists_latest->name }}</a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            @else
                                <tbody>
                                    <tr>
                                        <td colspan="4" align="center">No Record Found.</td>
                                    </tr>
                                </tbody>
                            @endif
                        </table>
                    </div>
                </div>
            </div>


        </div>
    </div>

@endsection
