@extends('cms.layouts.master')

@section('title')
	<h1>User Profile</h1>
@endsection

@section('breadcrumb')
    <ol class="breadcrumb">
        <li><a href="{{ route(ROUTE_CMS_DASHBOARD_INDEX) }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Profile</li>
    </ol>
@endsection

@section('content')
	<div ng-app="ProfileApp" ng-controller="ProfileController">
    <div class="row">
        <div class="col-md-12">

            <div class="callout callout-success" ng-show="onsuccess" ng-cloak>
                <h4><i class="fa fa-check"></i> Success!</h4>
                User Profile Successfully Updated.
            </div>
            
            <div class="box box-primary" content-loader="loading">
                <div class="box-header with-border">
                    <h3 class="box-title">Personal Information</h3>
                </div>
                <!-- /.box-header -->
                
                <!-- form start -->
                <form role="form" ng-submit="submit()">
                    <div class="box-body">

                        <div class="mar-top">
                            <label class="control-label">First Name</label>
                            <input type="text" class="form-control" placeholder="First Name" ng-model="form.first_name">
                            <small class="text-danger" ng-show="error.first_name" ng-cloak>@{{ error.first_name }}</small>
                        </div>

                        <div class="mar-top">
                            <label class="control-label">Last Name</label>
                            <input type="text" class="form-control" placeholder="Last Name" ng-model="form.last_name">
                            <small class="text-danger" ng-show="error.last_name" ng-cloak>@{{ error.last_name }}</small>
                        </div>

                        <hr class="mar-bottom mar-6">

                        <div class="mar-top">
                            <label class="control-label">Username</label>
                            <input type="text" class="form-control" placeholder="Username" ng-model="form.username">
                            <small class="text-danger" ng-show="error.username" ng-cloak>@{{ error.username }}</small>
                        </div>

                        <div class="mar-top">
                            <label class="control-label">Email</label>
                            <input type="email" class="form-control" placeholder="Email" ng-model="form.email">
                            <small class="text-danger" ng-show="error.email" ng-cloak>@{{ error.email }}</small>
                        </div>
                        
                        <div class="mar-top">
                            <label class="control-label">Password</label>
                            <input type="password" class="form-control" placeholder="********" ng-model="form.password">
                            <small class="text-danger" ng-show="error.password" ng-cloak>@{{ error.password }}</small>
                        </div>
                        
                        <div class="mar-top">
                            <label class="control-label">Confirm Password</label>
                            <input type="password" class="form-control" placeholder="********" ng-model="form.password_confirmation">
                            <small class="text-danger" ng-show="error.password_confirmation" ng-cloak>@{{ error.password_confirmation }}</small>
                        </div>

                    </div>
                    <!-- /.box-body -->

                    <div class="box-footer">
                        <div class="pull-right">
                            <a href="{{ route(ROUTE_CMS_DASHBOARD_INDEX) }}" type="button" class="btn btn-default btn-flat"><i class="fa fa-remove"></i> Cancel</a>
                            <button type="submit" class="btn btn-success btn-flat" ng-disabled="onsubmit">
                                <i class="fa" ng-class="onsubmit ? 'fa-spinner fa-spin' : 'fa-check'"></i> Update
                            </button>
                        </div>
                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>

        </div>
    </div>

	</div>
@endsection

@section('js')
    <script type="text/javascript">
        window.Routes = {
            GetProfile    : "{{ route(ROUTE_CMS_PROFILE_INFORMATION) }}",
            UpdateProfile : "{{ route(ROUTE_CMS_PROFILE_UPDATE) }}"
        }
        window.Vars = {
            Id : "{{ $admininfo['hashid'] }}"
        }
    </script>
	<!-- Angular User Login -->
	<script src="{{ build_asset('cms/js/ng-profile.js') }}"></script>
@stop