@extends('cms.layouts.master')

@section('title')
    <h1>{{ $title }}</h1>
@endsection

@section('breadcrumb')
    <ol class="breadcrumb">
        <li><a href="{{ route(ROUTE_CMS_DASHBOARD_INDEX) }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">{{ $title }}</li>
    </ol>
@endsection

@section('content')
    <div ng-app="SettingApp" ng-controller="SettingController">
    <div class="row">
        <div class="col-md-12">

            <div class="callout callout-success" ng-show="onsuccess" ng-cloak>
                <h4><i class="fa fa-check"></i> Success!</h4>
                {{ $title }} Successfully Updated.
            </div>
            
            <div class="box box-primary" content-loader="loading">
                <div class="box-header with-border">
                    <h3 class="box-title">{{ $label }}</h3>
                </div>
                <!-- /.box-header -->
                
                <!-- form start -->
                <form role="form" ng-submit="submit()" ng-cloak>
                    <div class="box-body min-height">

                        <div ng-repeat="form in forms track by $index" ng-class="{'mar-top' : !$first}">
                            <label class="control-label">@{{ form.label }}</label>

                            <div ng-if="form.code == 'comment_default'">
                                <div>
                                    <label class="text-normal">
                                        <input type="radio" value="disqus" ng-model="form.value" name="formvalue" > Disqus Comment
                                    </label>
                                </div>
                                <div>
                                    <label class="text-normal">
                                        <input type="radio" value="facebook" ng-model="form.value" name="formvalue" > Facebook Comment
                                    </label>
                                </div>
                            </div>

                            <div ng-if="form.code == 'keywords'         ||
                                        form.code == 'description'      ||
                                        form.code == 'comment_disqus'   ||
                                        form.code == 'comment_facebook' ||
                                        form.code == 'google_analytics'
                                       ">
                                <textarea rows="10" class="form-control" placeholder="@{{ form.label }}" ng-model="form.value"></textarea>
                                
                            </div>
                            <div ng-if="form.code != 'keywords'         &&
                                        form.code != 'description'      &&
                                        form.code != 'comment_disqus'   &&
                                        form.code != 'comment_facebook' &&
                                        form.code != 'google_analytics' &&
                                        form.code != 'comment_detault'
                                       ">
                                <input type="text" class="form-control" placeholder="@{{ form.label }}" ng-model="form.value">
                            </div>

                        </div>

                    </div>
                    <!-- /.box-body -->

                    <div class="box-footer">
                        <div class="pull-right">
                            <a href="{{ route(ROUTE_CMS_DASHBOARD_INDEX) }}" type="button" class="btn btn-default btn-flat"><i class="fa fa-remove"></i> Cancel</a>
                            <button type="submit" class="btn btn-success btn-flat" ng-disabled="onsubmit">
                                <i class="fa" ng-class="onsubmit ? 'fa-spinner fa-spin' : 'fa-check'"></i> Update
                            </button>
                        </div>
                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>

        </div>
    </div>

    </div>
@endsection

@section('js')
    <script type="text/javascript">
        window.Routes = {
            GetSettings    : "{{ route(ROUTE_CMS_SETTING_DETAILS) }}",
            UpdateSettings : "{{ route(ROUTE_CMS_SETTING_UPDATE) }}"
        }
        window.Vars = {
            Id       : "{{ $admininfo['hashid'] }}",
            PageLoad : "{{ $pageload }}"
        }
    </script>
    <!-- Angular User Login -->
    <script src="{{ build_asset('cms/js/ng-settings.js') }}"></script>
@stop