@extends('cms.layouts.master-login')

@section('content')

<div class="login-box" ng-app="UserApp" ng-controller="LoginController">
	<div class="login-logo">
		<a href="{{ route(ROUTE_FRONT_HOME_INDEX) }}">{{ $settigs_general['name'] }}</a>
	</div>
	<!-- /.login-logo -->
	<div class="login-box-body">
		<p class="login-box-msg">Sign in to start your session</p>

		<div class="alert alert-danger alert-dismissible" ng-if="error.status" ng-cloak>
	        <i class="fa fa-warning"></i> @{{ error.message }}
	    </div>

		<form role="form" ng-submit="authLogin()">

			<div class="form-group has-feedback">
				<input type="text" class="form-control" placeholder="Username/Email" ng-model="user.identity" required>
				<span class="glyphicon glyphicon-envelope form-control-feedback"></span>
			</div>
			<div class="form-group has-feedback">
				<input type="password" class="form-control" placeholder="Password" ng-model="user.password" required>
				<span class="glyphicon glyphicon-lock form-control-feedback"></span>
			</div>
			<div class="row">
				<div class="col-xs-8">
					<div class="checkbox icheck mar-no">
						<label>
							<input type="checkbox" ng-model="user.rememberme" icheck> Remember Me
						</label>
					</div>
				</div>
				<!-- /.col -->
				<div class="col-xs-4">
					<button type="submit" class="btn btn-primary btn-block btn-flat" ng-disabled="loading">
						<i class="fa " ng-class="loading ? 'fa-spinner fa-spin' : 'fa-sign-in'"></i>
						Sign In
					</button>
				</div>
				<!-- /.col -->
			</div>
		</form>

	</div>
	<!-- /.login-box-body -->
</div>
<!-- /.login-box -->

@endsection


@section('js')
    <script type="text/javascript">
        window.Routes = {
        	/*
        	 * LOGIN
        	 */
            AuthLogin 	  : "{{ route(ROUTE_USER_POST_AUTH) }}",
            RedirectToCms : "{{ route(ROUTE_CMS_DASHBOARD_INDEX) }}"
        }
    </script>
	<!-- Angular User Login -->
	<script src="{{ build_asset('cms/js/ng-user.js') }}"></script>
@stop