<?php

	/*
	|--------------------------------------------------------------------------
	| Environment Settings
	|--------------------------------------------------------------------------
	|
	| @author: dev.rynelle@gmail.com
	|
	*/

	$environment = include(__DIR__.'/../../.env.php');

	if ( $environment ) {
		foreach ($environment as $key => $env) {
			// remove all the extra spacing before/after the string
			$cleanenv = trim($env);
			if ( $cleanenv ) {
				// Sets the value of an environment variable
				define("__{$key}__", $env);
			}
		}
	}

    /**
     * Gets the value of an environment variable. Supports boolean, empty and null.
     *
     * @param  string  $key
     * @param  mixed   $default
     * @return mixed
     */
	if (! function_exists('env')) {
	    function env($key, $default = null)
	    {
	        // $value = getenv($key);
	        $is_defined = defined("__{$key}__");
	        if ($is_defined === false) {
	            return $default;
	        }

	        return constant("__{$key}__");
	    }
	}