###*
# User Profile App
# User Profile Controller
#
# @class ProfileApp
# @author Rynelle Coronacion <dev.rynelle@gmail.com>
###


window.Cms.ProfileApp.controller "ProfileController",
[
    '$scope'
    'routeApi'
    '$timeout'
    '$window'

    (
        $scope
        $routeapi
        $timeout
        $window
    ) ->

        class ProfileController
            
            constructor : () ->
                
                $scope.loading = true
                $scope.error   = {}
                $scope.form    = {}

                @getinfo()

                return

            getinfo : () ->

                url  = $window.Routes.GetProfile
                data =
                    _id : $window.Vars.Id

                $routeapi.send url, data, 'POST'
                .then ( response ) ->

                    data = response.data

                    if response.status is 200
                        $scope.form = 
                            _id        : data.id
                            first_name : data.first_name
                            last_name  : data.last_name
                            username   : data.username
                            email      : data.email

                    $scope.loading = false

                    return

                return

            ###*
            #
            # @return submit
            ###
            $scope.submit = () ->

                data = $scope.form
                url  = $window.Routes.UpdateProfile

                $scope.onsubmit = true

                $routeapi.send url, data, 'POST'
                .then ( response ) ->

                    _data = response.data
                    $scope.onsubmit = false
                    if response.status is 200

                        if _data?.errors
                            $scope.error = _data.errors
                        else
                            $scope.onsuccess = true

                    return

                return

        new ProfileController()

]