
###*
# iCheckDirective
# @class Directive
###

angular.module('allow-pattern',[]).directive "allowPattern", () ->

    restrict : "A"

    compile: (tElement, tAttrs) ->

        (scope, element, attrs) ->
            # I handle key events
            element.bind 'keypress', (event) ->

                _number       = if angular.isDefined(attrs.number) then '[0-9]' else null
                _decimal      = if angular.isDefined(attrs.decimal) then '[.]'  else null
                _alpha        = if angular.isDefined(attrs.alpha) then '[a-z]'  else null

                allow_pattern = attrs.allowPattern

                if allow_pattern.length is 0
                    allow_pattern = ''
                    allow_pattern += '|[0-9]' if angular.isDefined attrs.number
                    allow_pattern += '|[.]'   if angular.isDefined attrs.decimal
                    allow_pattern += '|[a-z]' if angular.isDefined attrs.alpha
                    allow_pattern += '|[' + attrs.allow + ']' if angular.isDefined attrs.allow
                    allow_pattern = allow_pattern.slice 1

                keyCode = event.which or event.keyCode
                # I safely get the keyCode pressed from the event.
                keyCodeChar = String.fromCharCode(keyCode)
                # I determine the char from the keyCode.
                # If the keyCode char does not match the allowed Regex Pattern, then don't allow the input into the field.
                
                if !keyCodeChar.match(new RegExp(allow_pattern, 'i'))
                    event.preventDefault()
                    return false

                return

            return