###*
# Route Factory
#
# @class Api Factory
###

angular.module('ng-route-api',[]).factory "routeApi",
	[
		'$http',
		'$rootScope'
		'$q'
		'$window'
		(
			$http,
			$rootScope,
			$q
			$window
		) ->
				
			send : (url, data={}, method='GET', qdefer, isajax) ->

				@$$additionalHTTPHeader() if isajax is true
				data._token = $window.csrf

				httpDataRequest =
					method: method
					url: url
					headers: { 'Content-Type' : 'application/x-www-form-urlencoded; charset=UTF-8' }
					data: $.param data

				return @$$qDeferRequest httpDataRequest, qdefer if qdefer
				return $http.get url if method == 'GET'
				return $http httpDataRequest

			###
			#   Authentication   = Site Authentication Token
			#   X-Requested-With = Set Http Request to AJAX FORMAT
			###
			$$additionalHTTPHeader : ( ) ->
				AuthKey = $str_random() if not AuthKey
				$http.defaults.headers.common['Authentication']   = AuthKey || null
				$http.defaults.headers.common['X-Requested-With'] = "XMLHttpRequest"

				return

			$$qDeferRequest : ( httpDataRequest, qdefer ) ->

				@qRequest = [] if angular.isUndefined @qRequest
				@qRequest.push qdefer

				promise = $http angular.extend httpDataRequest, { timeout : qdefer.promise }
				promise.finally ( () ->
					@qRequest = _.filter @qRequest, (request) ->
						request.url != httpDataRequest.url

					return
				)
				return promise

			cancel : () ->
				angular.forEach @qRequest, (canceller) ->
					canceller.resolve()
					return
				@qRequest = [] if angular.isUndefined @qRequest
]
