###*
# ChordApp
# Chord Controller
#
# @class UserApp
# @author Rynelle Coronacion <dev.rynelle@gmail.com>
###

window.Front.ChordApp.controller "ChordController",
[
    '$scope'
    'routeApi'
    '$window'
    '$q'
    '$timeout'
    (
        $scope
        $routeapi
        $window
        $q
        $timeout
    ) ->

        class ChordController
            
            constructor : () ->

                $scope.btnfontsize = 
                    plus  : false
                    minus : false

                $scope.transposerequest = 
                    up   : false
                    down : false

                $scope.containermode = true
                $scope.fontsize      = 13

                $scope.url       = $window.Vars.CurrentURL
                $scope.transpose = $window.Vars.Transpose

                return

            $scope.changeMode = () -> $scope.containermode = not $scope.containermode

            $scope.resizeFont = (action) ->

                if action is true
                    $scope.fontsize++
                else
                    $scope.fontsize--

                $scope.btnfontsize.minus = $scope.fontsize <= 8
                $scope.btnfontsize.plus  = $scope.fontsize >= 32

                return

            $scope.transposeAction = (action) ->

                if action is true
                    $scope.transpose++
                    $scope.transposerequest.up = true
                else
                    $scope.transpose--
                    $scope.transposerequest.down = true

                url  = $scope.url
                url += '/true?transpose=' + $scope.transpose

                $routeapi.send url
                .then ( response ) ->

                    $scope.transposerequest = 
                        up   : false
                        down : false
                        
                    if response.status is 200
                        $scope.$emit 'chord:transpose', response.data

                .catch (reason) ->
                    $scope.transposerequest = 
                        up   : false
                        down : false
                    if action is true
                        $scope.transpose--
                    else
                        $scope.transpose++

                return

        new ChordController()

]